Automated Geospatial Watershed Assessment (AGWA) Documentation

Version 2.0
Build 20081231

USDA-ARS
Southwest Watershed Research Center
Tucson, Arizona

US - EPA
Office of Research and Development
Las Vegas, Nevada

University of Wyoming
Rangeland Ecology and Watershed Management
Laramie, Wyoming


Abstract

Burns, I.S., S.N. Scott, L.R. Levick, D.J. Semmens, S.N. Miller, M. Hernandez, D.C. Goodrich, and W.G. Kepner, 2007. Automated Geospatial Watershed Assessment 2.0 (AGWA 2.0) - A GIS-Based Hydrologic Modeling Tool: Documentation and User Manual; U.S. Department of Agriculture, Agricultural Research Service.

Planning and assessment in land and water resource management are evolving from simple, local-scale problems toward complex, spatially explicit regional ones. Such problems have to be addressed with distributed models that can compute runoff and erosion at different spatial and temporal scales. The extensive data requirements and the difficult task of building input parameter files, however, have long represented an obstacle to the timely and cost-effective use of such complex models by resource managers.

The USDA-ARS Southwest Watershed Research Center, in cooperation with the U.S. EPA Office of Research and Development, has developed a GIS tool to facilitate this process. A geographic information system (GIS) provides the framework within which spatially-distributed data are collected and used to prepare model input files and evaluate model results for two watershed runoff and erosion models: KINEROS2 and SWAT.

AGWA (all versions) is designed as a tool for performing relative assessment (change analysis) resulting from land cover/use change. Areas identified through large-scale assessment with SWAT as being most susceptible to change can be evaluated in more detail at smaller scales with KINEROS2. Results can be visualized as percent or absolute change for a variety of output and derived parameters. These features are intended to assist resource managers in identifying the most important areas for watershed restoration efforts and preventative measures.


Disclaimer

The development of this document and the AGWA tool has been funded by the U.S. Environmental Protection Agency and carried out by the U.S. Department of Agriculture's Agricultural Research Service. Mention of trade names or commercial products does not constitute endorsement or recommendation for use by the Environmental Protection Agency or the Department of Agriculture. The Automated Geospatial Watershed Assessment (AGWA) tool described in this manual is applied at the user's own risk. The U.S. Environmental Protection Agency, the U.S. Department of Agriculture, and the system authors cannot assume responsibility for system operation, output, interpretation, or use.


Acknowledgements

The software was utilized in a class room setting by a Watershed Management class taught by Dr. Phil Guertin at the University of Arizona and also in a training session for a small group of individuals working or collaborating with the NRCS at Fort Hood, Texas. AGWA2 benefited greatly from their feedback and we thank them for their time and attention.

AGWA2 is based on two existing watershed runoff and erosion models, KINEROS2 and SWAT, and we would like to acknowledge the authors of those models for providing assistance with integrating the models. Carl Unkrich of the Southwest Watershed Research Center was kind enough to create an AGWA-specific KINEROS program.


Introduction

AGWA2 is a complete rewrite of the Automated Geospatial Watershed Assessment (AGWA) 1.5 tool for ESRI's ArcView 3.x. For more background on AGWA and the move to AGWA2, please visit the AGWA website at http://www.tucson.ars.ag.gov/agwa and refer to the AGWA2 Design Document in the Publications section.

AGWA2 requires ESRI's ArcGIS Desktop 9.x software, Spatial Analyst 9.0, and valid licenses for both. Because AGWA2 uses ArcGIS 9.x, the development team decided to utilize features inherent to the software that are not available in ArcView 3.x. At this time, the primary features supported in AGWA2 not available in AGWA 1.5 are working with personal geodatabases (PGDB), feature datasets, ArcObjects, and XML metadata. These new features offer several advantages to the end user often resulting in faster processing, conveniently accessible databases, and less erroneous model parameterizations.

AGWA2 currently utilizes all of these features. Importantly, users of AGWA 1.5 should note that because of these features, navigating and using AGWA2 will be slightly different than they may be accustomed to. Specifically, because geodatabases and feature datasets are used to organize watershed delineations and discretizations, GIS outputs will be stored in different formats and in different locations than in AGWA 1.5. Additionally, the delineation and discretization processes have been improved to provide more robust configurations; consequently, delineations and discretizations may not appear identical to AGWA 1.5 discretizations. Finally, because the delineations and discretizations will be different from AGWA 1.5, subsequent parameterizations of the discretizations will also be different because of their spatially explicit nature.


Release Notes

The transition from AGWA 1.5 to AGWA2 was driven by the migration of existing and potential AGWA users from ESRI’s ArcView 3.x to ESRI’s ArcGIS Desktop 9.x software. The transition to AGWA2 for ArcGIS 9.x allowed the development team to utilize new features, tools, and improvements inherent to the software package that are not available in AGWA 1.5 for ArcView 3.x. Improvements made in AGWA2 due to this migration include utilization of geodatabases, feature datasets, ArcObjects, and XML metadata. These improvements offer both subtle and obvious differences to the veteran AGWA 1.5 user.

Some fundamental differences between AGWA 1.5 and AGWA2 will be noticed immediately. For example, navigating and using AGWA2 will be different than AGWA 1.5 users will be accustomed to. Specifically, because geodatabases and feature datasets are used to organize watershed delineations and discretizations, GIS outputs will be stored in different formats and in different locations than in AGWA 1.5. Additionally, the delineation and discretization processes have been improved to provide more robust configurations; consequently, though the general shape will be the same, delineations and discretizations will not be identical between AGWA 1.5 and AGWA2. Moreover, the geodatabases used in AGWA2 offer higher precision, both numerically and spatially, than the shapefiles used in AGWA 1.5.

AGWA 1.5 users should note that these improvements may manifest as differences in model results between the two versions. However, it should be noted that these differences are in fact improvements. It must also be stressed that though these improvements do cause differences between AGWA 1.5 and AGWA2, it in no way compromises the ability of either to be used as a relative change assessment tool.

12/31/2008

AGWA 2.0 Build 20081231 includes:

  • A climate assessment tool for SWAT.
  • The ability to generate daily precipitation data using the SWAT weather generator instead of using daily observed data.

10/20/2008

AGWA 2.0 Build 20081020 includes:

  • A bug fix that occurs when attempting to run KINEROS. The bug was introduced in the previous release.

9/30/2008

AGWA 2.0 Build 20080930 includes:

  • Support for SWAT2005
  • Additional error trapping and bug fixes
  • Changes to the writing of model input files and model execution. This process has been separated into two steps, allowing advanced users to customize their input files after writing and before model execution.

12/18/2007

AGWA 2.0 Build 20080930 includes:

  • Removal of Service Pack requirements for ArcGIS 9.0, 9.1, and 9.2 installations of AGWA 2.0.
  • Nitrogen and phosphorous modeling and results visualization in SWAT.
  • A soil parameterization bug fix for SSURGO and the new version of STATSGO.
  • A land cover and soils parameterization bug fix for large datasets.

11/16/2007

This is the first public release of AGWA 2.0. In order to meet the release deadline, not all features are present as planned, however they will be rolled out over the next several weeks.

The latest build is compiled against ArcGIS 9.0 with Service Pack 3 (March 17, 2005), ArcGIS 9.1 with Service Pack 2 (July 13, 2006), and ArcGIS 9.2 with Service Pack 3(July 31, 2007).

8/27/2007

The latest build is compiled against ArcGIS 9.0 with Service Pack 3 (March 17, 2005), ArcGIS 9.1 with Service Pack 2 (July 13, 2006), and ArcGIS 9.2 with Service Pack 3(July 31, 2007).

4/02/2007

Advanced delineation and discretization options have been added, giving the user the ability to delineate and discretize group watersheds and nested watersheds. Support for ArcGIS 9.2 has also been added. Feedback and bugs reported from test users have also been incorporated and fixed.

Separate installers have been created for ArcGIS 9.0, 9.1, and 9.2 installations. The installers were compiled on machines running Windows XP Professional Version 2002 with Service Pack 2 installed. The installer for ArcGIS 9.0 was compiled using Visual Studio .Net 2003, ArcGIS 9.0 with Service Pack 3, and Desktop Developer Kit 9.0 with Service Pack 2. The installer for ArcGIS 9.1 was compiled using Visual Studio .Net 2003, ArcGIS 9.1 with Service Pack 2, and Desktop Developer Kit 9.1 with Service Pack 2. The installer for ArcGIS 9.2 was compiled using Visual Studio .Net 2005, ArcGIS 9.2 with Service Pack 1, and Desktop Developer Kit 9.2 with Service Pack 1.

AGWA2 for ArcGIS versions 9.0 and 9.1 is programmed in Visual Studio .Net 2003, and consequently version 1.1 of the Microsoft .Net Framework must be installed prior to installing AGWA2. AGWA2 for ArcGIS versions 9.2 is programmed in Visual Studio .Net 2005, and consequently version 2.0 of the Microsoft .Net Framework must be installed prior to installing AGWA2. AGWA2 for ArcGIS 9.2 was tested by a group of students in a Watershed Management class at the University of Arizona. The tutorial was successfully completed by all students in the class. AGWA2 will not install if the appropriate version of the .NET Framework is not installed, if ArcGIS is not installed with .NET Support, and if the most up-to-date service packs for ArcGIS are not installed.

9/27/2006

The AGWA2 toolbar has been modified to streamline the user experience through a menu system rather then a combobox. Several features are also accessed via buttons on the toolbar, also in an effort to streamline the user interface. Progress bars have been added to forms where lengthy processing occurs to help the user keep track of the progress of each step. Additionally, the numbering and parameterizing of watershed and stream elements have been split from the discretization process in an effort to provide the user more flexibility in watershed configurations. Due to changes in how and where Metadata is stored, the Metadata viewer is not fully functional. Additional fixes have been implemented throughout AGWA2 that previously may have prevented users from using certain features or completing core functions. Additionally, the results differencing and Land-Cover Modification Tool mentioned in the prior release notes have actually been added and tested in this release. In the previous release only some of the functionally had been added and the features were unusable. Finally, significant changes have been made throughout the user interface. The rest of the user manual reflects these changes.

Separate installers have been created for ArcGIS 9.0 and 9.1 installations. The installers were compiled on machines running Windows XP Professional Version 2002 with Service Pack 2 installed and either ArcGIS 9.0 with Service Pack 3 and Desktop Developer Kit 9.0.560 with Service Pack 2 or ArcGIS 9.1 and Desktop Developer Kit 9.1.

AGWA2 is programmed in Visual Studio .Net 2003, thus version 1.1 of the Microsoft .Net Framework must be installed prior to installing AGWA2. AGWA2 installations have been cursorily tested and found working on ArcGIS 9.0 and 9.1 installations on Windows XP machines. Again, AGWA2 may not behave as expected on machines running different versions or service packs of ArcGIS, Windows, or the .Net Framework.

Unless otherwise stated, release notes from previous releases still apply.

6/1/2006

Several changes have been made to AGWA2 since the 3/29/2006 build. The delineation and discretization processes have been changed to remove any generalization and weeding, so delineations and subsequent discretizations will have a different appearance than AGWA users may be accustomed to. Delineations and discretizations will now have jaggy edges representative of the grids from which they were derived; using this technique allowed the removal of problematic areas in the core geoprocessing and also allowed for successful discretizations without using topology and thus an ArcInfo License for ArcMap. Discretizations can still not be completed successfully while ArcCatalog is open. Multiple discretizations can now be performed in one session.

Some of the menu systems have changed and additional functionality has been added including the Land Cover Modification Tool and results differencing. The user interface has also been slightly changed from how it appeared in previous releases, though the rest of the user manual has not been updated to reflect these changes.

The installer for AGWA2 was compiled on a Windows XP Professional Version 2002 with Service Pack 2 installed. ArcGIS 9.0 was the development platform with Desktop Service Pack 3 and Desktop Develop Kit Service Pack 2. Additionally, because AGWA2 is programmed in Visual Studio .Net 2003, version 1.1 of the Microsoft .Net Framework is required. An AGWA2 installation has not been tested on a machine with different software versions, so it is possible that other versions of ArcGIS and/or Service Packs may not be completely compatible.

Unless otherwise stated, release notes from previous releases still apply.

3/29/2006

AGWA2 is currently in Beta stage. Because extensive testing and debugging has not been completed, certain actions should be avoided. At this time, the following known issues exist: having multiple instances of ArcMap open may interfere with geoprocessing steps as locks on the geodatabases may not release; the discretization process will fail if ArcCatalog is open; topology created and used in the discretization process fails to initialize properly and thus skips part of the discretization process in ArcMap 9.1 (this is not an issue in 9.0); two discretizations cannot be completed back-to-back, the current ArcMap session must be saved, exited, and reopened.

Because AGWA2 is currently in Beta stage, the look and feel of the application may change with subsequent releases. Additionally, outputs and data produced from AGWA2 may also change with subsequent releases. Finally, features, functionality, and processing has not been exhaustively tested as would be the case for a finished product, and consequently, small bugs and errors may be encountered.


Watershed Modeling

Since the development of the Stanford Watershed Model (Crawford and Linsley, 1966) numerous hydrologic models have been developed that use watersheds as the fundamental spatial unit to describe the various components of the hydrologic cycle. Watershed models have five basic components: watershed (hydrologic) processes and characteristics; input data; governing equations; initial and boundary conditions; and output (Singh, 1995). Despite their uniform general structure, however, various treatments of the five model components have resulted in a significant range of available model types. Distinguishing between these different model types is an important first step in selecting the appropriate model for a project.

Watershed models are generally classified according to the method they use to describe the hydrologic processes, the spatial and temporal scales for which they are designed, and any specific conditions or intended use for which they are designed. Some knowledge of these components is highly recommended when selecting the combination that is best suited to a specific watershed and task.

For more information, see the following topics:

  • Process Description
  • Spatial Scale
  • Temporal Scale
  • Land Use
  • Effects of Aggregation of Landscape Attributes on Watershed Response
  • Integration of Geographic Information Systems and Remote Sensing in Hydrologic Modeling
  • Kinematic Runoff and Erosion Model
  • Soil Water Assessment Tool


Process Description

Watershed models can be divided into two main types according to how they treat the spatial component of watershed hydrology (Figure 1). Lumped, or lumped-parameter models treat an entire watershed as one unit and take no account of the spatial variability in processes, input, boundary conditions, or the hydrologic properties of the watershed. In contrast, distributed models ideally account for all spatial variability in the watershed explicitly by solving the governing equations for each pixel in a grid. In reality, neither of these extremes are suitable for watershed modeling because a lumped framework is a gross oversimplification and a distributed framework requires enormous amounts of data that are not readily obtainable. As a result most models have combined aspects of both approaches and subdivide the watershed into smaller elements with similar hydrologic properties that can be described by lumped parameters. This model type is commonly referred to as partially distributed, or quasi-distributed.

Figure 1. Process-based classification of watershed models, after Singh (1995).

The description of the hydrologic processes within a watershed model can be deterministic, stochastic, or some combination of the two. Deterministic models are models in which no random variables are used, i.e. for each unique set of input data the model will compute fixed, repeatable results (e.g. Law and Kelton, 1982). The governing equations describing the hydrologic and soil erosion processes in a deterministic model should be a major factor in selecting a model. Models with equations based on fundamental principles of physics or robust empirical methods are the most widely used in computing surface runoff and sediment yield. Stochastic models, in contrast, use distributions for each variable to generate random values for model input (e.g. Clarke, 1998). As a result, the output from a stochastic model is itself random, with its own distribution, and can thus be presented as a range of values with confidence limits.

The vast majority of watershed models are deterministic, including both KINEROS and SWAT. Fully stochastic models, in which all components of the model are stochastic, are virtually non-existent (Singh, 1995). Stochastic generation of input variables, however, is commonly used to optimize models, or determine model sensitivity to various input variables. If only parts of a model are described by the laws of probability then it is commonly referred to as quasi-deterministic, quasi-stochastic, or mixed.


Spatial Scale

A watershed can range from as little as one hectare to hundreds of thousands of square kilometers. The spatial scale for which a model is designed can play a significant role in how specific processes are treated. Runoff in large watersheds (> 1000 km2), for instance, is dominated by channel storage. In contrast, runoff from small watersheds (< 100 km2) is dominated by overland flow. For intermediate watersheds it is important to account for the essential concept of homogeneity and averaging of hydrologic process in the models.

Spatial scale is an important criterion in the selection of a model because the storage characteristics may vary at different watershed scales, that is, large watersheds have well developed channel networks and channel phase, and thus, channel storage is dominant. Such watersheds are less sensitive to short duration, high intensity rainfalls. On the other hand, small watersheds are dominated by the land phase and overland flow, have relatively less conspicuous channel phase, and are highly sensitive to high intensity, short duration rainfalls.


Temporal Scale

Hydrologic processes may occur at different time scales, therefore it is important to consider models that operate from event to daily to yearly time scales. At the event time scale, models typically do not compute inter-storm soil moisture conditions and therefore this information must be provided as an initial condition to initiate the model run. Event based models may be employed for storm events of relatively short duration or to finalize the design of technically complex structural and nonstructural management practices. On the other hand, continuous-time hydrologic models can simulate precipitation, available surface storage, snowmelt, evapotranspiration, soil moisture, and infiltration in a seasonal framework. These models typically operate on a time interval ranging from a fraction of an hour to a day. The principal advantage of continuous modeling is that it can provide long-term series of water and pollutants loadings.


Land Use

Many studies have shown that the land uses within a watershed can account for much of the variability in stream water quality (Omernick, 1987; Hunsaker et al., 1992; Charbonneau and Kondolf, 1993; Roth et al., 1996). Agriculture on slopes greater than three percent, for example, increases the risk of erosion (Wischmeier and Smith 1978). A drastic change in vegetation cover, such as clear cutting in the Pacific northwest, can produce 90% more runoff than in watersheds unaltered by human practices (Franklin, 1992). The linkage between intact riparian areas and water quality is well established (Karr and Schlosser, 1978; Lowrance et al., 1984). For example, riparian habitats function as "sponges", greatly reducing nutrient and sediment runoff into streams (Peterjohn and Correll, 1984).

The percentage and location of natural land cover influence the amount of energy that is available to move water and materials (Hunsaker and Levine, 1995). Forested watersheds dissipate energy associated with rainfall, whereas watersheds with bare ground and anthropogenic cover are less able to do so (Franklin, 1992). The percentage of the watershed surface that is impermeable, due to urban and road surfaces, influences the volume of water that runs and increases the amount of sediment that can be moved (Arnold and Gibbons, 1996). Watersheds with highly erodible soils tend to have greater potential for soil loss and sediment delivery to streams than watersheds with non-erodible soils.

Moreover, intense precipitation events may exceed the energy threshold and move large amounts of sediment across a degraded watershed (Junk et al., 1989; Sparks, 1995). It is during these events that human-induced landscape changes may manifest their greatest negative impact.

A direct and powerful link exists between vegetation and hydrological processes in semi-arid environments. Vegetation plays a pivotal role in determining the amount and timing of the runoff which ultimately supplies mass and energy for the operation of hydrologic and erosive processes (Graf, 1988). Most analyses that assess the variability of sediment yield demonstrate that at the lower end of the precipitation scale (representing semi-arid conditions), small changes in annual precipitation bring about major changes in vegetation communities and associated sediment yields (Graf, 1988). For example, for a mean annual temperature of 10° C, the Langbein and Schumm (1958) curve reaches a peak at an effective precipitation of about 300 mm (Figure 2), trailing off at lower values because of lower runoff totals and at higher ones because an increasingly abundant vegetation cover affords better protection against erosion.

Figure 2. Erosion as a function of precipitation. After Langbein & Schumm (1958).

It should be clearly noted that methods for transforming various land cover and land use characteristics into distributed hydrologic model parameters are not well developed for a wide range of conditions. For management purposes, many approaches rely largely on empirical studies from large numbers of small plots and catchments to relate land cover and land use to effective hydrologic model parameters. The curve number method (Chow et al., 1988) and the USLE or RUSLE method for predicting soil erosion (Renard et al., 1997) are examples of this type of approach to relate land cover/land use to hydrologic model parameters. The transformation of land cover/land use conditions into meaningful hydrologic and erosion parameters, and quantifying the associated uncertainty is a major challenge in watershed modeling.


Effects of aggregation of landscape attributes on watershed response

Recent papers (e.g. Roth et al., 1996; Weller et al., 1996) suggest that the importance of landscape features may change in different environmental settings, or when moving from one spatial scale to another. Therefore, methods to analyze and interpret broad spatial scales are becoming increasingly important for hydrological and ecological studies. Parameters and processes important at one scale are frequently not important or predictive at another scale, and information is often lost as spatial data are considered at coarser scales of resolution (Meentemeyer and Box, 1987). Furthermore, hydrological problems may also require the extrapolation of fine-scale measurement for the analysis of broad-scale phenomena. Therefore, the development of methods that will preserve information across scales or quantify the loss of information with changing scales has become a critical task.

Wood et al. (1988) carried out an empirical averaging experiment to assess the impact of scale. They averaged runoff over small subwatersheds, aggregating the subwatersheds into larger watersheds, and repeating the averaging process. By plotting the mean runoff against mean subwatershed area, they noted that the variance decreased until it was rather negligible at a watershed scale of about 1 km2. That analysis has been repeated for the runoff ratio (Wood, 1994) and evaporation (Famiglietti and Wood, 1995) using data from Kings Creek, which was part of the FIFE '87 experiment. Results from the experiment show that at small scales there is extensive variability in both runoff and evaporation. This variability appears to be controlled by variability in soils and topography whose correlation length scales are on the order of 102 - 103m, typical of hillslopes. At an increased spatial scale, the increased sampling of hillslopes leads to a decrease in the difference between subwatershed responses. At some scale, the variance between hydrologic response for watersheds of the same scale should reach a minimum.


Integration of geographic information systems and remote sensing in hydrologic modeling

Spatially distributed models of watershed hydrological processes have been developed to incorporate the spatial patterns of terrain, soils, and vegetation as estimated with the use of remote sensing and geographic information systems (GIS) (Band et al., 1991; 1993; Famiglietti and Wood, 1991; 1994; Moore and Grayson, 1991; Moore et al., 1993; Wigmosta et al., 1994; Star et al., 1997). This approach makes use of various algorithms to extract and represent watershed structure from digital elevation data. Land surface attributes are mapped into the watershed structure as estimated directly from remote sensing imagery (e.g. canopy leaf area index), digital terrain data (slope, aspect, contributing drainage area) or from digitized soil maps, such as soil texture or hydraulic conductivity assigned by soil series.

Over the past decade numerous approaches have been developed for automated extraction of watershed structure from grid digital elevation models (e.g. Mark et al., 1984; O'Callagham and Mark, 1984; Band, 1986; Jenson and Dominque, 1988; Moore et al., 1988; Martz and Garbrecht, 1993; Garbrecht and Martz, 1993; 1995; 1996). O'Callagham and Mark (1984) define a digital elevation model (DEM) as any numerical representation of the elevation of all or part of a planetary surface, given as a function of geographic location. The most widely used method for the extraction of stream networks that has emerged is to accumulate the contributing area upslope of each pixel through a tree or network of cell to cell drainage paths and then prune the tree to a finite extent based on a threshold drainage area required to define a channel or to seek local morphological evidence in the terrain model that a channel or valley exists (Band and Moore, 1995).

The techniques used for delineation of the drainage path network by surface routing of drainage area and local identification of valley forms are ultimately dependent on a topographic signal generated in a local neighborhood on the DEM. As the approach is used to extract watershed structure with increasingly lower resolution terrain data, higher frequency topographic information is lost as the larger sampling dimensions of the grids act as a filter. Therefore, if watershed structural information is used to drive the hydrological model, the scaling behavior and consistency of the derived stream network with grid dimension needs to be addressed. One of the primary questions dealing with automated extracted channel network is that of the appropriate drainage density. Some authors suggest criteria to find this appropriate scale. For example, Goodrich (1991) found a drainage density of approximately 0.65 to 1.52 x 10-3m for watersheds greater than 1 hectare was adequate for kinematic runoff modeling in semi-arid regions. Similarly, La Barbera and Roth (1994) proposed a filtering procedure based on the identification of threshold value for the quantity Ask, where A is the contributing area, S the stream slope and k = 2. This procedure consists in the progressive removal from the drainage network of the first order stream which presents the minimum Ask value; the procedure is iterated up to a given target value for the area drained by first order streams. Calore et al. (1997) found that above a certain threshold, an increase in resolution in the spatial description of drainage networks obtained from a DEM cannot be directly linked to an increase of information. The criterion they used for assessing the amount of information contained in the drainage was based on the information entropy concept of Shannon (1948).

Land use is an important watershed surface characteristic that affects infiltration, erosion, and evapotranspiration. Thus, almost any physically based hydrologic model uses some form of land use data or parameters based on these data (Spanner et al., 1990; 1994; Nemani et al., 1993). Distributed models, in particular, need specific data on land use and their location within the basin. Some of the first research for adapting satellite derived land use data was done by Jackson et al. (1976) with the U.S. Army Corps of Engineers STORM Model (U.S. Army Corps of Engineers, 1976). However, most of the work on adapting remote sensing to hydrologic modeling has been with the Soil Conservation Service (SCS) runoff curve number model (U.S. Department of Agriculture, 1972). The SCS model has been widely used in hydrology and water resources planning of agricultural areas. The model was originally developed for predicting runoff volumes from agricultural fields and small watersheds. However, it has been expanded for subsequent use in a wide variety of conditions at many basin sizes including urban and suburban areas. In early work with remotely sensed data, Jackson et al. (1977) demonstrated that land cover (particularly the percentage of impervious surface) could be used effectively in the STORM Model (U.S. Army Corps of Engineers, 1976). In a study of the upper Anacostia River basin in Maryland, Ragan and Jackson (1980) demonstrated that Landsat-derived land use data could be used for calculating synthetic flood frequency relationships. Results can be erroneous if land use is mislabeled. A study by the U.S. Army Corps of Engineers (Rango et al., 1983) estimated that any individual pixel may be incorrectly classified about one-third of the time. However, by aggregating land use over a significant area, the misclassification of land use can be reduced to about 2% (Engman and Gurney, 1991).

More recently, vegetation classification studies implementing digital satellite data have utilized higher spatial, spectral, and radiometric resolution Landsat Thematic Mapper (TM) data with much more powerful computer hardware and software. These studies have shown that the higher information content of TM data combined with the improvements in image processing power result in significant improvements in image processing power resulting in significant enhancement in classification accuracy for more distinctive classes (Congalton et al., 1998).

A detailed analysis of the effects of the thematic accuracy of land cover is necessary before any attempt on using the hydrologic modeling tool to determine the vulnerability of semi-arid landscapes to land cover changes. The accuracy of maps made from remotely sensed data is measured by two types of criteria (Congalton and Green, 1999): location accuracy, and classification or thematic accuracy. Location accuracy refers to how precisely map items are located relative to their true location on the ground. Thematic accuracy refers to the accuracy of the map label in describing a class or condition on the earth. For example, if the earth's surface was classified as forest, thematic map accuracy procedures will determine whether or not forest has been accurately labeled forest or inaccurately labeled as another class, such as water.

The widespread acceptance and use of remotely sensed data has been and will continue to be dependent on the quality of the map information derived from it. However, map inaccuracies or error can occur at many steps throughout any remote sensing project. According to Congalton and Green (1999), the purpose of quantitative accuracy assessment is the identification and measurement of map errors. Quantitative accuracy assessment involves the comparison of a site on a map against reference information for the same site. The reference data is assumed to be correct.

The history of accuracy assessment of remotely sensed data is relatively short, beginning around 1975. Researchers, notably Hord and Brooner (1976), van Genderen and Lock (1977), proposed criteria and techniques for testing map accuracy. In the early 1980s more in-depth studies were conducted and new techniques proposed (Rosenfield et al., 1982; Congalton et al., 1983; and Aronoff, 1985). Finally, from the late 1980s up to present time, a great deal of work has been conducted on accuracy assessment. An important contribution is the error matrix, which compares information from reference sites to information on the map for a number of sample areas. The matrix is a square array of numbers set out in rows and columns that express the labels of samples assigned to a particular category in one classification relative to the labels of samples assigned to a particular category in another classification. One of the classifications, usually the columns, is assumed to be correct and is termed the reference data. The rows usually are used to display the map labels or classified data generated from remotely sensed data. Error matrices are very effective representation of map accuracy, because the individual accuracy of each map category is plainly described along with both errors of inclusion (commission errors) and errors of exclusion (omission errors) present in the map (Congalton and Green, 1999). A commission error occurs when an area is included in an incorrect category. An omission error occurs when an area is excluded from the category to which it belongs. In addition to clearly showing errors of omission and commission, the error matrix can be used to compute overall accuracy.

Soils information derived from a GIS are generally gathered in a similar manner to vegetation, with the exception that remote sensing often cannot provide critical information about soil properties, especially if the soil is obscured by a vegetation canopy (Band and Moore, 1995). Substantial progress has been made in estimating near-surface and profile soil water content with active and passive microwave sensors and in the estimation of hydraulic properties by model inversion (e.g. Entekhabi et al., 1994). However, in general, soil spatial information is the least known of the land surface attributes relative to its well-known spatial variability that has been observed in many studies (Nielsen and Bouma, 1985).


Kinematic Runoff and Erosion Model - KINEROS2

KINEROS2 utilizes a network of channels and planes to represent a watershed and the kinematic wave method to route water off the watershed (Figure 3). It is a physically-based model designed to simulate runoff and erosion for single storm events in small watersheds less than approximately 100 km2. More detailed technical information about KINEROS2 can be found at http://www.tucson.ars.ag.gov/kineros/.

Figure 3. A schematic representation of the KINEROS2 program.


Soil & Water Assessment Tool - SWAT

The Soil and Water Assessment Tool (SWAT) (Arnold et al., 1994) was developed to predict the effect of alternative management decisions on water, sediment, and chemical yields with reasonable accuracy for ungaged rural basins. It is a distributed lumped-parameter model developed at the USDA Agricultural Research Service (ARS) to predict the impact of land management practices on water, sediment and agricultural chemical yields in large (basin scale) complex watersheds with varying soils, land use and management conditions over long periods of time (> 1 year). SWAT is a continuous-time model, i.e. a long-term yield model, using daily average input values, and is not designed to simulate detailed, single-event flood routing. Major components of the model include: hydrology, weather generator, sedimentation, soil temperature, crop growth, nutrients, pesticides, groundwater and lateral flow, and agricultural management. The Curve Number method is used to compute rainfall excess, and flow is routed through the channels using a variable storage coefficient method developed by Williams (1969). Additional information and the latest model updates can be found at http://www.brc.tamus.edu/swat/.


AGWA2 Tool Overview

The AGWA2 tool, packaged as an extension for the ESRI ArcGIS 9.x GIS software, uses geospatial data to parameterize two watershed runoff and erosion models: KINEROS2, and SWAT. A schematic of the procedure for utilizing these models with AGWA2 is presented below in Figure 4. AGWA2 is a modular program that is designed to be run in a step-wise manner.

Figure 4. Basic processing steps for AGWA2.

The AGWA2 installation for ArcGIS adds the AGWA2 Toolbar to the project. The AGWA2 Tools menu on the toolbar is designed to reflect the order of tasks necessary to conduct a watershed assessment, which is broken out into six major steps:

  1. Watershed delineation
  2. Watershed discretization
  3. Watershed parameterization
  4. Writing a precipitation file for model input
  5. Writing parameter files and running the chosen model
  6. Viewing results

Figure 5. AGWA2 Toolbar and Tools menu.

Additionally, other tools and forms of interest can be accessed by selecting Other Options from the AGWA2 Tools menu including:

  1. the AGWA2 Preferences form
  2. the Raster Legend Tool
  3. the Land Cover Modification Tool

In more detail...

Step 1. Watershed Delineation: The user first creates a watershed outline, which is derived from a grid based on the accumulated flow to the designated outlet (pour point) of the study area. A polygon feature class is built from the watershed outline grid and stored in a geodatabase. Either a single watershed or a group watershed may be created.

Step 2. Watershed Discretization: The user specifies the threshold of contributing area for the establishment of stream channels, and the watershed is divided into model elements as required by the chosen model. The created watershed elements are referred to as the discretization itself. If internal runoff gages for model validation or ponds/reservoirs are present, they can be used to further subdivide the watershed at this time. From this point forward, the tasks are specific to the model that will be used, but both follow the same general process.

Step 3. Watershed parameterization: In step 3, the discretization is parameterized by both its topographic properties and land cover and soils information. AGWA2 is predicated on hydraulic geometry relationships to establish channel geometries and the presence of both land cover and soil GIS coverages. First, the discretization is parameterized according to its topography and then is intersected with these data where parameters necessary for the hydrologic model runs are determined through a series of look-up tables. The hydrologic parameters are added to the polygon and stream attribute tables.

Step 4. Writing a precipitation file for model output: Rainfall input files are built. For SWAT, the user must provide daily rainfall values for rainfall gages within and near the watershed. If multiple gages are present, AGWA2 will build a Thiessen polygon map and create an area-weighted rainfall file. For KINEROS2, the user can select from a series of pre-defined rainfall events or choose to build his/her own rainfall file through an AGWA2 module. Precipitation files for model input are written from uniform (single gage) rainfall or distributed (multiple gage) rainfall data.

Step 5. Writing parameter files and running the chosen model: At this point, all necessary input data have been prepared: the watershed has been subdivided into model elements; hydrologic parameters have been determined for each element; and rainfall files have been prepared. The user can proceed to run the model of choice.

Step 6. Viewing results: AGWA2 imports the model results and joins them to the discretization and stream attribute tables for display. A separate module controls the visualization of model results. The user can toggle between viewing the total depth or accumulated volume of runoff, erosion, and infiltration output for both upland and channel elements. This enables problem areas to be identified visually so that limited resources can be focused for maximum effectiveness. Model results can also be overlaid with other digital data layers to further prioritize management activities.


Setup and Installation

All of the data necessary to model runoff is provided on the AGWA website or on a CD by request. The directory structure should look like the illustration below in a location of your choice. The datafiles, documentation, and models folders are the only critical folders that need to be in the AGWA2 folder, the other folders exist as a suggested organizational aid.

Figure 6. Suggested AGWA2 directory structure.

For more information, see the following topics:

  • Hardware and Software Requirements
  • Installation Directions


Hardware and Software Requirements

Processor speed and available memory do have significant impacts on the performance of AGWA2 and all GIS viewing. Minimum and recommended configurations are dictated by the parent software, Environmental Systems Research Institute's (ESRI) ArcGIS 9.x software.

AGWA2 is not a stand alone program and has several software requirements. First, for ArcGIS 9.0 and 9.1 installations, the .NET Framework 1.1 is required. For ArcGIS 9.2 installations, the .NET Framework 2.0 or newer is required. Environmental Systems Research Institute's (ESRI) ArcGIS 9.x software and the Spatial Analyst Extension for working with grid-based data are also required. Finally, before installing AGWA2, you must ensure that ArcGIS is installed with .NET Support and that you have the same service pack for ArcGIS 9.x as described in the latest Release Notes above.

.NET Framework 1.1

  • http://www.microsoft.com/downloads/details.aspx?familyid=262D25E3-F589-4842-8157-034D1E7CF3A3&displaylang=en
  • http://www.google.com/search?q=net+framework+1.1+redistributable+package

.NET Framework 2.0

  • http://www.microsoft.com/downloads/details.aspx?FamilyID=0856EACB-4362-4B0D-8EDD-AAB15C5E04F5&displaylang=en
  • http://www.google.com/search?q=net+framework+2.0+redistributable+package

ArcGIS Service Packs

  • http://support.esri.com/index.cfm?fa=downloads.patchesServicePacks.listPatches&PID=43
  • http://www.google.com/search?q=arcinfo+desktop+service+pack


Installation Directions

To install AGWA2 perform the following steps:

Figure 7. ArcGIS Setup screen illustrating required .NET Support option.

  1. Ensure that DotNet support is installed for your ArcGIS installation.
  2. Extract the AGWA2 folder from the AGWA2 Files.zip file (downloaded or on the CD) to your hard drive.
  3. Extract the 9.x folder from the AGWA2 Setup 9.x.zip to a temporary folder on your hard drive.
  4. Run AGWA2 Setup.exe from the folder extracted in step 3.
  5. Open a new ArcMap document and either go to the tools menu and select Customize, check the AGWA2 Toolbar and close the window (Figure 8); or right click on an empty spot where toolbars are docked and select the AGWA2 Toolbar from the context menu that is shown (Figure 9).

    Figure 8. A method for turning on the AGWA2 Toolbar.

    Figure 9. An alternative method for turning on the AGWA2 Toolbar.
  6. Turn on the Spatial Analyst Extension from the Extensions menu item from the Tools menu.
  7. Select the tool or feature you would like to use from the AGWA2 Tools combobox on the AGWA2 Toolbar.

Figure 10. AGWA2 Toolbar and AGWA2 Tools menu.


File Management

Geodatabases provide a logical organizational structure to store output data. AGWA2 creates a unique geodatabase for each delineation and stores derived discretizations in that geodatabase. Discretizations are stored as two feature classes (polygon and polyline) within a feature dataset. The figure below depicts AGWA2 file management and a typical workspace with one delineation and two discretizations.

Geodatabases do not store flat ASCII files well, so model inputs and outputs for simulations are stored in subfolders named according to their associated geodatabase and discretization names. Each discretization contains its own precip folder and simulations folder. This logically organizes inputs and outputs to help prevent inadvertent mixing between discretizations and also allows more flexibility in naming precipitation inputs and model simulations.

The example below shows one geodatabase representing a single delineation, wg1. The wg1 delineation is expanded to show two feature datasets representing two discretizations: kin1 and swat1. The kin1 feature dataset is expanded to show the polygon and polyline feature classes that compose it: planes_kin1 and streams_kin1. The workspace folder contains a folder following the geodatabase name. The geodatabase name folder contains folders for each discretization and their subsequent model inputs and outputs.

  • datafiles
  • documentation
  • models
  • mxds
  • temp
  • workspace

Figure 11. Example workspace configuration demonstrating geodatabase structure with a delineation and two discretizations.

AGWA2 searches for several SWAT default data files and other required tabular datasets in the datafiles folder (and its subfolders) during a number of processing steps. These files include crop2000.dat, urban2000.dat, hgr.dbf, kin_lut.dbf, wgnfiles.dbf, all land cover lookup tables, and tabular datasets for soils.

The documentation folder contains the AGWA 2.0 Manual.

The models folder contains the executables for SWAT and KINEROS. It also contains the executable for the multifractal surface generator utilized by the Land Cover Modification Tool (lcmf.exe).

The mxd folder is a suggested organizational aid that can be used to store your mxd files.

The temp folder is a suggested organizational aid for placing temporary files created during AGWA use.

The workspace folder is a suggested organizational aid that can be used to store the folders and associated files created during simulation preparation and execution.

For more information, see the following topic:

  • Required Files and Datasets


Required Files and Datasets

These files are either required for different AGWA2 components or created during processing. In many cases, the AGWA2 generated files are required for later processing steps. User-specified names are indicated by <name>, where name indicates the type of object the name refers to.

Watershed GRID Inputs

  • Digital elevation model (required): A GRID, supplied by the user, encompassing the study area. This file is used by AGWA2 in determining watershed boundaries and other model-specific parameters. If the user decides to fill any sinks in the GRID (an option available through AGWA2), this new dataset is located in the workspace folder selected in the Delineator form.
  • Flow direction grid (optional): An integer GRID, specific to a given DEM, representing the direction of flow throughout a study area. This dataset can be created within AGWA2 (the new dataset is located in the workspace folder selected in the Delineator form) or can be generated outside of AGWA2 and added to the map document before attempting to generate a watershed.
  • Flow accumulation grid (optional): An integer GRID, specific to a given DEM, representing the accumulation of runoff throughout a study area. This dataset can be created in AGWA2 (the new dataset is located in the workspace folder selected in the Delineator form) or can be generated outside of AGWA2 and added to the map document before attempting to generate a watershed.
  • Stream map (optional): A GRID representing the cells into which a specified number of cells flow. This grid is generated by AGWA2; the threshold can be determined by a user based on DEM resolution and degree of network complexity required. The stream map is used for user-identified outlet location and, if using the area of interest watershed delineation method, for dynamically locating outlets.

Watershed Components

  • Outlet (optional): A point theme containing one or more outlet locations.
  • Watershed discretization: A polygon feature class representing the subwatershed or plane elements at the specified contributing source area for a given watershed outline. This file must have a unique name within the project.
  • Stream Network: A polyline feature class representing the stream elements at the specified contributing source area for a given watershed outline.
  • Area of interest boundary (optional): A polygon shapefile, coverage, or feature class containing the boundary or boundaries for an area of interest (AOI) to create a watershed group. This shapefile is only necessary to use the AOI delineation/discretization option.

Land Cover Components

  • Land cover (required): An integer GRID dataset representing the distribution of landscape classes across a study area. Several datasets are supported by AGWA2 natively, including NALC, MRLC, and GAP land covers. Additionally, users may use custom datasets if an associated land cover lookup table exists (see below). The land cover attribute table must contain a VALUE field and a NAME field. The surface should extend beyond the boundaries of the watershed for successful watershed parameterization.
  • Land cover lookup table (required): A dBASE formatted table containing parameter values by land cover class. Each record is identified by a unique key, identical to the values contained in the VALUE field of the land cover GRID. Additional parameters include cover, interception, Manning's N, percent impervious and curve number values (A, B, C, and D). AGWA2 provides several lookup tables; custom tables, containing the parameters described above, can also be utilized for land cover parameterization.

Soil Components

  • Soils (required): A polygon shapefile, coverage, or feature class representing the soil types across the study area. Supported soil classifications include STATSGO, SSURGO and FAO. The dataset should extend beyond the watershed boundaries and not contain any internal voids for successful soils parameterization.
  • Soil tables (required): Each soil classification is associated with a tabular dataset. AGWA2 requires specific tables from each dataset to perform the parameterization.
  • STATSGO: For early versions of STATSGO with a MUID field, the required dataset includes the comp.dbf and layer.dbf tables. These are organized by state in the datafiles\statsgo folder. For current versions of STATSGO that follow the SSURGO schema with a MUKEY field, the required dataset is the Access database (with tables imported) associated with the soils dataset.
  • SSURGO: The required dataset is the Access database (with tables imported) associated with the soils dataset.
  • FAO: The required dataset includes the FAO_summ, FAO_component, and FAO_properties tables. These are located in the datafiles\fao folder.
  • <discretization name>_temp_soil_lut: Temporary soils table created (located in <delineation name> geodatabase) during soils parameterization that contains the depth-weighted averages for each soil classification within the watershed. The file is maintained to aid in error resolution.
  • temp_soil_kin: Temporary table created (located in <delineation name> geodatabase) during soils parameterization that contains hydraulic conductivity (KS) and hydrologic soil group averages (based on component percent) by soil classification.
  • soil_outputs: Temporary table created (located in <delineation name> geodatabase) during soils parameterization that contains hydraulic conductivity and hydrologic soil group values area-weighted for each subwatershed. These values are based on the component averages found in the temp_swat_soil_lut.dbf table for the watershed. The averages are transferred to the watershed attribute table during the parameterization process.

Precipitation Components: KINEROS

  • Precipitation-frequency grid (optional): A GRID representing the accumulated depth for an event of a given return period for a region.
  • dsgnstrm.dbf (optional): A table containing design storm parameters for southeastern Arizona. This table is used to generate precipitation files for the design storm option for KINEROS.
  • Precipitation file (*.pre): This file contains time-depth or time-intensity pairs for one or more raingage locations. These files can be created in AGWA2 (located in the <delineation name>\<discretization name>\precip subfolder of the workspace folder selected in the Delineator form) or can be created outside of AGWA2 if the correct format is followed (see the KINEROS documentation at http://tucson.ars.ag.gov/KINEROS for more information).

Precipitation Components: SWAT

  • unweighted precipitation file: This file contains a record for every day to be used in generating the file. The table must be formatted properly (see Precipitation>SWAT for more information) and must include fields for each gage.
  • Raingage point theme: A point theme for raingage locations. The attribute table must contain a gage identifier field with a field name other than ID and with values corresponding to those found in the unweighted precipitation file.
  • Thiessen polygons (optional): A polygon feature class generated (located in the <delineation name> geodatabase) by AGWA2 that contains the Thiessen polygons for a specific raingage theme.
  • Thiessen-Watershed intersection (optional): A polygon feature class generated (located in the <delineation name> geodatabase) by AGWA2 to calculate the weighted average precipitation for each subwatershed.
  • weights.dbf (optional): This file is created (located in the <delineation name> geodatabase) during the Thiessen polygon precipitation processing.
  • Precipitation file (*.pcp): A file containing the weighted average precipitation for each subwatershed or a uniform precipitation for the watershed for each day in the unweighted precipitation file. This file is located in the <delineation name>\<discretization name>\precip subfolder of the workspace folder selected in the Delineator form.
  • Temperature file (*.tmp): This file contains the maximum and minimum temperatures (in degrees Celsius) for each day in a given time period. This file is not created by AGWA2 and must be supplied, properly formatted, by the user. See the SWAT User's Manual for more information.
  • wgn_us83.shp (required): A point theme containing point locations for weather generator stations in the western United States. This dataset is used to select the WGN file to use during SWAT simulation.
  • WGN files (*.wgn): These files contain weather generator data for SWAT. The information includes statistics for a number of parameters that SWAT uses to estimate missing temperature data and other climate inputs. WGN files are organized by state in the datafiles\wgn folder. For more information, see the SWAT User's Manual.

Simulation Output Components

  • Plane or subwatershed table: A dBASE file, named "p" + <simulation name>, containing the simulation summary values. This file is located in the <delineation name>\<discretization name>\simulations\<simulation name> subfolder of the workspace folder selected in the Delineator form.
  • Channel table: A dBASE file, named "c" + <simulation name>.dbf, containing the simulation summary values. This file is located in the <delineation name>\<discretization name>\simulations\<simulation name> subfolder of the workspace folder selected in the Delineator form.


Watershed Delineation

Watershed delineation is the first step in the process of using the AGWA2 tool. This step generates a new watershed outline from a user-specified outlet. This is used for both KINEROS and SWAT. This step requires that you enter the basic data types (described in File Management> Required Files and Datasets) that are required to compute the watershed boundary and then divide the watershed into a series of planes or subwatersheds.

Several options are available for watershed delineation with AGWA2. These options include: Delineate New Watershed, Delineate SWAT Subwatershed, and Delineate Group Watershed. To access these options, select AGWA2 Tools>Delineation Options, then select one of the available choices. The relevant form is opened based on your selection.

Figure 12. Delineation Options on the AGWA2 Tools menu.

When the delineation is complete, the delineated watersheds and outlet are automatically added to the table of contents of the map.

For more information on watershed delineation options and basic watershed concepts, see the following topics:

  • Basic Concepts
  • Delineate New Watershed
  • Delineate SWAT Subwatershed
  • Delineate Group Watershed


Basic Concepts

The watershed delineation and discretization process requires some knowledge of watershed concepts. For more information, see the following topics:

  • Stream Map
  • Watershed Outline
  • Contributing Source Area (CSA)
  • KINEROS Flow Length
  • Hydraulic Geometry Relationships
  • Watershed and Stream Parameters


Stream Map

The stream map is a theme containing all streams for a given DEM. It represents all cells in the DEM that receive runoff from a certain number of cells. This number is the threshold value for the map and represents the number of cells rather than an area or percent. The threshold for the stream map can be set to create a more or less complex network. The default value of 2500 is recommended for DEMs with a resolution of 30m; however, this default may be too fine for higher resolution DEMs.

The stream map is used as a visual aid when locating outlet locations when creating an individual watershed (with the original AGWA2 process). It is also used by the area of interest delineation option to define the potential outlet locations - any outlet must fall along a stream.

Figure 13. AGWA2-generated stream map (30m DEM and threshold = 2500).


Watershed Outline

A watershed outline is the result of the delineation process. The boundary represents all cells of a given DEM that drain to the specified outlet location. An outline can be used to create watersheds for each model and for different complexities. The figure below shows an example of a watershed outline.

Figure 14. Example watershed outline .


Contributing Source Area (CSA)

This value determines the level of geometric complexity in the discretized watershed (Figure 15). It is the threshold at which flow becomes channelized. Lower CSAs produce more watershed elements; higher CSAs, fewer elements. The default value is 2.5%, which produced the best results during preliminary analysis.

Figure 15. Differences in watershed complexity based on contributing source area.


KINEROS Flow Length

Flow length is the length of the path from a source to a channel, as indicated by flow direction. AGWA2 offers two methods for calculating flow length of lateral planes in KINEROS. The default method assumes a geometric abstraction, where the plane is considered a rectangle with a length equal to the channel length of the associated stream and the width (or flow length) equal to the plane area divided by the channel length. This method must be used to add riparian buffers to a KINEROS watershed.

The second method calculates the mean flow length of the plane element. Flow length is based on the following:

where L is the flow length, D is the flow length from cell i, and a is the area of cell i (Syed, 1999).

The flow length of the source planes (any plane element ending with 1) is calculated the same for both methods. This calculation considers the source plane as a triangular abstraction, where flow length is 3/2 the distance between the plane centroid and the upstream node of the associated channel (Figure 16). Length is equal to the plane area divided by the flow length.

Figure 16. Geometric abstractions of KINEROS plane elements.

Initial testing indicates that the geometric abstraction provides better results for both unbuffered and buffered AGWA2 watersheds. This method must be used for any KINEROS watershed to be buffered. Previous studies have demonstrated that the included implementation for calculating mean flow lengths for lateral elements performs better than other mean flow length options, excluding the geometric abstraction method (Syed, 1999). The flow length method can be changed in the Element Parameterizer.


Hydraulic Geometry Relationships

These relationships refer to bankfull hydraulic geometry relationships and they define the bankfull channel width and depth based on watershed size. Bankfull relationships are useful in that they define channel topography with minimal input and effort by the user; however, there are some drawbacks. The relationships are designed to be applied to very specific physiographic regions and outside of these regions the performance of the relationships in accurately depicting the channel geometries severely declines. Also, deriving relationships for specific regions is very labor intensive, requiring field work and analysis. At this time, only two relationships are defined: Walnut Gulch Experimental Watershed in southeastern Arizona (Miller, 1995) and the Coastal Plain of North Carolina (Sweet and Geratz, 2003). These relationships are provided in the HGR.dbf table located in the datafiles folder.


Watershed and Stream parameters

KINEROS Watershed

  • WS# (WS_): watershed number
  • Area: the area of the plane element in internal map units
  • Slope: the zonal mean slope of the plane element in percent rise
  • X Centroid: the X coordinate of the plane element's centroid
  • Y Centroid: the Y coordinate of the plane element's centroid
  • Width: the flow length of the plane element, based on a geometric abstraction or the mean flow length to the channel element
  • Length: the length of the plane element, parallel to the channel

KINEROS Stream

  • Stream# (Stream_): stream number
  • Cont_chan: contributing element to the given stream (WS# or Stream#)
  • Length: length of the channel element (in map units)
  • Order: stream order of the channel element (1 = first order, 99 = higher order)
  • Slope: channel slope derived from elevation of end nodes (percent rise)
  • Down_width: downstream width of channel element (map units)
  • Up_width: upstream width of channel elements (map units)
  • Down_depth: downstream depth of channel element (map units)
  • Up_depth: upstream depth of channel element (map units)
  • Man: Manning roughness coefficient (0-1)
  • SS1: bank slope side
  • SS2: bank slope side
  • Wool: indicates use of wetted perimeter function
  • CV: coefficient of variation of Ksat
  • Ksat: saturated hydraulic conductivity (mm/hr)
  • G: mean capillary drive (mm)
  • Dist: pore size distribution index
  • Por: porosity (cm3/cm3)
  • Rock: volumetric rock fraction
  • Pct_clay: fractional clay content (0-1)
  • Pct_silt: fractional silt content (0-1)
  • Pct_sand: fractional sand content (0-1)
  • SP: rainsplash coefficient
  • COH: soil cohesion coefficient
  • Sequence: integer values indicating channel sequence
  • Area: upland and lateral areas contributing directly to the channel element (m2)
  • Cum_area: sum of all upland and lateral elements contributing to the channel (m2)

SWAT Watershed

  • WS# (WS_): watershed number
  • Area: area of the subwatershed (map units)
  • Slope: zonal mean slope of the subwatershed (percent rise)
  • Max_FlwLength: maximum flow length of the subwatershed (map units)

SWAT Stream

  • Stream# (Stream_): stream number
  • Cont_chan: contributing element of the channel element (WS# or Stream#)
  • Length: length of the channel element (map units)
  • Order: stream order of the channel (1 = first order; 99 = higher orders)
  • Slope: channel slope derived from elevation of end nodes (percent rise)
  • Sequence: integer values indicating channel sequence
  • Area: upland area contributing directly to the channel (map units)
  • Cum_area: sum of all areas contributing directly to the channel
  • Swat_id: integer values for SWAT routing
  • Storage_Loc: storage location number used in SWAT routing


Delineate New Watershed

Step 1 - Output Location

This requires that the name of the workspace be identified, and a new name for the geodatabase be entered.

Step 2 - Input Grids

This requires the user to identify the GRID surfaces to be utilized. These surfaces include a digital elevation model (DEM), a flow direction grid (FDG) and a flow accumulation grid (FACG). An additional surface, a stream map, may optionally be generated following the selection of these inputs to facilitate outlet location. The stream map represents all streams for a specific DEM. The threshold for these streams is set to a default of 2500, where all cells receiving runoff from at least 2500 cells are identified as streams. AGWA2 allows users to adjust this threshold as the default threshold may produce too much network detail for high-resolution DEMs.

Step 3 - Outlet Identification

This requires the user to select an outlet point to delineate the watershed by. The user can use the circle tool to click a point or draw a circle on the map to define the outlet coordinates and search radius for locating the outlet. Alternatively, the user can select a point from an existing point theme to use as the outlet point. A search for the highest flow accumulation value within the radius of the selected coordinate is used to snap the outlet point to the most likely watershed outlet. This facilitates outlet identification by not requiring users to click on an exact location.

For detailed step-by-step information, see:

  • Delineation steps


Delineation steps

Figure 17. Delineator form.

  1. Add your digital elevation model (DEM) and optionally your flow direction and flow accumulation GRIDs (FDG and FACG) and a point feature class representing the outlet of the watershed to your map.
  2. Select the Delineate New Watershed command from the Delineation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  3. Select the workspace where all delineation, discretization, and model inputs and outputs will be organized and stored, including flow direction and flow accumulation GRIDs if created.
  4. Name the geodatabase that will store the delineation and derived discretizations. You may not use an existing geodatabase name in the specified workspace path.
  5. Select the DEM, Flow Direction Grid (FDG), and Flow Accumulation Grid (FACG) from the Input Grids panel. If you do not have a flow direction or flow accumulation grid, AGWA2 can create them at this point.
  6. OPTIONAL - create a stream grid to help locate where to place the outlet point of the delineation.
  7. Select an outlet location for the delineation using:
    1. The user defined point tool;
    2. The select point tool (from a point theme);
    3. The X and Y coordinate and a search radius textboxes.
  8. Click the Delineate button.

When the delineation is complete, the delineated watershed and outlet are automatically added to the table of contents of the map.


Delineate SWAT Subwatershed

This option allows you to select a SWAT subwatershed to act as a new watershed outline. To create a new watershed from a SWAT subwatershed, you must first create a SWAT discretization. In many cases, SWAT watersheds are used to identify problem areas on a watershed that can then be simulated at a more detailed level. This option is best suited to larger SWAT subwatersheds. Again, the delineation can be reused to create discretizations of different complexity. The tool automatically extracts the appropriate outlet and creates a new watershed outline, storing it in the Output Location specified.

Step 1 - Output Location

This requires that the name of the workspace be identified, and a new name for the geodatabase be entered.

Step 2 - Outlet Identification

This requires the user to select a subwatershed from an existing SWAT discretization. All areas upstream of the subwatershed outlet will be delineated. The input grids used to create the selected discretization will be used for the delineation.

For detailed step-by-step information, see:

  • Delineation Steps


Delineation Steps

Figure 18. Subwatershed Delineator form.

  1. Complete a SWAT watershed discretization.
  2. Select the Delineate SWAT Subwatershed command from the Delineation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  3. Select the workspace where all delineation, discretization, and model inputs and outputs will be organized and stored.
  4. Name the geodatabase that will store the delineation and derived discretizations. You may not use an existing geodatabase name in the specified workspace path.
  5. Select an outlet location for the delineation. First select the discretization from the combobox and then use the Select Features tool to select a subwatershed of the discretization.
  6. Click the Delineate button.

When the delineation is complete, the delineated watershed and outlet are automatically added to the table of contents of the map.


Delineate Group Watershed

A watershed group is a collection of AGWA2 watersheds, for either KINEROS or SWAT, that are discretized, parameterized and simulated as a unit. Each watershed in the group is numbered and parameterized as a normal AGWA2 watershed but is identified by a GROUP number to separate each watershed, and by a GROUPID number to uniquely identify each element. The first two steps in the delineation are the same as for a new watershed.

Step 1 - Output Location

This requires that the name of the workspace be identified, and a new name for the geodatabase be entered.

Step 2 - Input Grids

This requires the user to identify the GRID surfaces to be utilized. These surfaces include a digital elevation model (DEM), a flow direction grid (FDG) and a flow accumulation grid (FACG). An additional surface, a stream map, may optionally be generated following the selection of these inputs to facilitate outlet location. The stream map represents all streams for a specific DEM. The threshold for these streams is set to a default of 2500, where all cells receiving runoff from at least 2500 cells are identified as streams. AGWA2 allows users to adjust this threshold as the default threshold may produce too much network detail for high-resolution DEMs.

Step 3 - Outlet Identification

Select Multiple Outlets

This option allows you to select two or more outlets from an existing outlets theme. First, select the point theme containing the outlets from the combobox on the Outlet Identification panel. Use the selection tool to select the points to use. When selecting multiple points, it may be necessary to click on the selection tool more than once, especially if using the Shift key. Click Delineate.

Area of Interest outlet locations

This option dynamically locates outlets based on an area of interest boundary so that the boundary is completely covered by watersheds. This can be used to delineate watersheds for parks, ranches, urban developments, islands, etc. (Scott, 2005).

To use this option, you must select a polygon shapefile, coverage, or feature class containing at least one boundary region. From the Area of Interest tab, select the boundary theme in the Boundary layer selection panel. If the shapefile contains more than one polygon, use the selection tool to select the boundary of interest. Only one boundary can be used at a time. Next, define the analysis extent from the Extent tab. This polygon limits the area within which AGWA2 will search for outlets. This is used both to reduce the potential size of the final watersheds as well as to exclude any regions that you do not wish to use during the process.

In some instances, the watersheds created to completely cover the area of interest may not contribute significantly to the water balance of the area of interest. These watersheds may occupy only a small fraction of the boundary; the inclusion of these watersheds requires additional processing time that may not be beneficial. To exclude small watersheds, select the Threshold tab to set the minimum area slider to a value greater than zero. Setting this slider to zero will include all watersheds that intersect the area of interest and have a valid outlet within the analysis extent. Any other value will ignore those watersheds that occupy less than the minimum size. Drag the slider to the desired percent.

Figure 19. Area of Interest group watershed delineation.

Figure 19 above shows the Area of Interest Watershed Delineation results with a minimum area threshold of 0.2%. Several regions of the boundary were excluded from the delineation process due to this threshold. Note the placement of the original outlet locations and the final outlet locations.

The process begins by locating potential outlets at the intersection of the boundary polygon and the stream network. Outlets are rejected if the stream flows into the boundary; these streams will be captured by another outlet, or if another outlet is identified downstream. Outlets are located at 75% of the distance from the start of the stream segment; if this falls within the boundary and another stream segment is not available downstream, the process fails. To avoid this, adjust the boundary.

These initial outlets are adjusted based on the stream network. The next downstream segment is tested against the current outlet location; if it captures more streams that flow from the boundary, the current outlet is replaced and the next potential outlet is tested. The goal of this step is to locate outlets so that all of the streams within the boundary are accounted for with the fewest number of outlets possible given the constraints of the boundary and analysis extent.

Once the outlets have been located, watersheds are delineated for each point. The union of these watersheds is compared against the boundary polygon. If gaps in the coverage exist, further processing is necessary. This processing involves moving outlets downstream one segment and testing that delineation, unioned with the existing delineations, against the boundary. If a stream segment is not found downstream or AGWA2 determines that the next downstream segment is a much larger tributary, a new outlet is located along the flow path from the midpoint between the two watersheds. If an area is smaller than the minimum threshold, the gap is ignored.

For detailed step-by-step information, see:

  • Delineation Steps


Delineation Steps

Figure 20. Watershed Group Delineator form.

  1. Add your digital elevation model (DEM) and optionally your flow direction and flow accumulation grids (FDG and FACG) and a point feature class representing the outlet of the watershed to your map.
  2. Select the Delineate Group Watershed command from the Delineation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  3. Select the workspace where all delineation, discretization, and model inputs and outputs will be organized and stored, including flow direction and flow accumulation grids if created.
  4. Name the geodatabase that will store the delineations and subsequent discretizations. You may not use an existing geodatabase name in the specified workspace path.
  5. Select the DEM, Flow Direction Grid (FDG), and Flow Accumulation Grid (FACG) from the Input Grids panel. If you do not have a flow direction or flow accumulation grid, AGWA2 can create them at this point.
  6. Create a stream grid used to locate the outlets of the watersheds.
  7. Select the outlets for the group watersheds using:
    1. A point theme;
    2. An area of interest and analysis extent.
  8. Click the Delineate button.

When the delineation is complete, the delineated watershed and outlet are automatically added to the table of contents of the map.


Watershed Discretization

This step subdivides the delineated watershed into smaller model elements based on contributing source area (CSA). Several options are available for watershed discretization with AGWA2. These options include: Discretize Single Watershed, Discretize Group Watershed, and Discretize Nested Watershed. To access these options, select AGWA2 Tools>Discretization Options, select the option that best suits your needs, and the appropriate form will open.

Figure 21. Discretization Options on the AGWA2 Tools menu.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.

For more information, see the following topics:

  • Discretize Single Watershed
  • Discretize Group Watershed
  • Discretize Nested Watershed
  • Internal Breakpoints


Discretize Single Watershed

The user first selects a delineation in the Input panel, and then must select a model for the discretized watershed in the Model Options panel (Figure 22). KINEROS and SWAT require different parameters and routing conditions, so watersheds discretized for one model cannot be used for the other.

Figure 22. Discretizer form.

In the CSA panel, enter a contributing source area value as either a contributing area (in acres or hectares, depending on the selected units) or as a percent of the watershed. Changes to one value will automatically update the other. Enter a name for the discretization.

The Watershed Pour Points panel allows you to select point locations to further subdivide the watershed. The three options are:

  • Default: AGWA2 uses pour points determined by the discretizer, and no action is required by the user.
  • User-defined: Add pour points manually using the Point tool. Click locations on the map where you want to force the outlet watershed elements to be located. Try to click near a stream (on the stream map). The location may be adjusted based on the point of highest flow accumulation within the specified radius.
  • Point theme: Select pour point from an existing point theme in the view. Using the selection tool, select points.

The user can choose from a number of options to modify the internal watershed boundaries. These options incorporate different kinds of internal breakpoints to split planes and channels in specific locations. Available options include internal gages, ponds or reservoirs, non-releasing ponds and no breakpoints.

For detailed step-by-step information, see:

  • Discretization steps


Discretization steps

Figure 23. Discretization Form.

  1. Select the Discretize Watershed command from the Discretization Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select the delineation from the Delineation combobox on the Input group box of the Discretizer form (Figure 23). If no delineations exist the combobox will be empty and the discretization process cannot be completed. Delineated watersheds are identified by <geodatabase name>\<delineation name>.
  3. Select the model to discretize the watershed for: SWAT or KINEROS.
  4. Select the CSA value to discretize the watershed at. The CSA is the threshold area at which flow becomes channelized. Lower CSAs produce more watershed elements and a higher level of geometric complexity. Higher CSAs produce few elements and a lower level of geometric complexity.
  5. OPTIONAL - Choose whether to use Watershed Pour Points
    1. Default uses pour points determined by the Discretizer.
    2. User-Defined allows you to manually click pour points on the stream network where you would like watershed elements broken out.
    3. Point theme allows you to select points from a point theme to use as additional pour points where you would like watershed elements broken out.
  6. Select the name of the output discretization.
    1. If the Model type is SWAT, the polygon feature class will have subwatersheds_ prefixed before the discretization name.
    2. If the Model type is KINEROS, the polygon feature class will have planes_ prefixed before the discretization name.
    3. For both Models, the polyline feature class will have streams_ prefixed before the discretization name.
  7. Click the Discretize button.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.


Discretize Group Watershed

Watershed discretization for watershed groups is similar to that for individual watersheds. It does not, however, support internal breakpoints. Please note that due to the delineation process, the boundaries for both the delineation and the internal plane elements will be slightly different from those generated if using the same outlet for an individual watershed. Watershed parameters will also be slightly different.

Figure 24. Area of Interest watershed group discretization.

Watershed groups may be created with area of interest boundaries or with multiple outlet locations. The discretization process is the same for both. AGWA2 displays each watershed in the Watersheds group box by a unique Group identifier (Figure 25). To identify which watershed is which, match the Group number in the table to the Group number in the delineation feature class’ attribute table. To set the CSA for the watersheds, click in either the CSA column or the % Area column to enter a value. CSA can be set for either a percent of the watershed or a contributing area. The other value is automatically calculated. Because the watershed delineations can vary greatly in size, a CSA must be entered for each watershed.

To avoid any attribution errors in other AGWA2 processes, the group contains two additional identifiers for both watershed and stream: a GROUP number that identifies which group the element belongs to, and an ID number that serves as a unique ID. The ID is used to associate land cover and soils tables as well as results tables to the watershed and stream network.

For detailed step-by-step information, see:

  • Watershed Group Discretization Steps


Discretization steps

Figure 25. Watershed Group Discretizer form.

  1. Select the Discretize Group Watershed command from the Discretization Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select the watershed group from the Delineation combobox on the Discretizer form. If no group watersheds exist the combobox will be empty and the discretization process cannot be completed. Delineated watersheds are identified by <geodatabase name>\<delineation name>.
  3. Select the model to discretize the watershed for: SWAT or KINEROS.
  4. Define the units for the CSA. The CSA is the threshold area at which flow becomes channelized.
  5. Select the name of the discretization.
    1. If the Model type is SWAT, the polygon feature class will have subwatersheds_ prefixed before the discretization name.
    2. If the Model type is KINEROS, the polygon feature class will have planes_ prefixed before the discretization name.
    3. For both Models, the polyline feature class will have streams_ prefixed before the discretization name.
  6. Define the the CSA value for each watershed in the Watersheds group box. The CSA is the threshold area at which flow becomes channelized. Lower CSAs produce more watershed elements and a higher level of geometric complexity. Higher CSAs produce few elements and a lower level of geometric complexity.
  7. Click the Discretize button.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.


Discretize Nested Watershed

Watershed discretization for nested watersheds is similar to that for individual watersheds. It does not, however, support internal breakpoints for either watershed type.

Figure 26. Nested watershed discretization.

The user first selects a delineation, and then must select a model for the discretized watershed in the Model Options panel (Figure 27). KINEROS and SWAT require different parameters and routing conditions, so watersheds discretized for one model cannot be used for the other.

In the Nested Outlet Identification panel, select the outlet theme and the ID field for the internal points. AGWA2 displays each selected outlet, including the primary outlet, in the Nested CSA table. To identify which point is which, match the ID number in the table to the ID number in the outlets theme and delineation feature class’ attribute table.

To set the CSA for the watersheds, click in either the CSA column or the % Area column to enter a value. CSA can be set for either a percent of the watershed or a contributing area. The other value is automatically calculated for the main outlet, but the areas for the nested watersheds are still unknown so will not be updated.

For detailed step-by-step information, see:

  • Nested Watershed Discretization Steps


Discretization steps

Figure 27. Nested Watershed Discretizer form.

  1. Select the Discretize Nested Watershed command from the Discretization Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select the delineation from the Delineation combobox on the Input group box of the Discretizer form. If no delineations exist the combobox will be empty and the discretization process cannot be completed. Delineated watersheds are identified by <geodatabase name>\<delineation name>.
  3. Select the model to discretize the watershed for: SWAT or KINEROS.
  4. Select the Outlets theme and Outlet ID field from the comboboxes in the Nested Outlet Identification group box and select the outlets that define the nested watersheds within the main watershed using the Select Features tool.
  5. Set the CSA for each outlet that appears in the table in the Nested CSA group box. The CSA is the threshold area at which flow becomes channelized. Lower CSAs produce more watershed elements and a higher level of geometric complexity. Higher CSAs produce few elements and a lower level of geometric complexity. Nested watersheds give the opportunity to define different CSAs for different parts of the watershed.
  6. Select the name of the discretization.
    1. If the Model type is SWAT, the polygon feature class will have subwatersheds_ prefixed before the discretization name.
    2. If the Model type is KINEROS, the polygon feature class will have planes_ prefixed before the discretization name.
    3. For both Models, the polyline feature class will have streams_ prefixed before the discretization name.
  7. Click the Discretize button.

When the discretization is complete, the discretized watershed and stream feature classes are automatically added to the table of contents of the map.


Internal Breakpoints: Gages, Ponds, and Reservoirs

AGWA2 provides several options for defining internal breakpoints in a watershed. These options include internal gages, KINEROS ponds, SWAT reservoirs and non-releasing ponds. Internal gages are used to split planes at specific locations to compare model estimates with observed discharge values. KINEROS ponds and SWAT reservoirs are water storage elements. Non-releasing ponds indicate regions of the watershed that will be excluded from the simulation process.

The selection process for the breakpoints is the same for each option. In the Watershed Pour Point panel, select the point theme from the Point Theme tab. Use the selection tool on the Point Selection panel to select the points to be used. If the selected option is KINEROS ponds, SWAT reservoirs, or non-releasing ponds, select the point theme ID field from the list provided. This value will be used to identify pond locations for data input during later processing steps.

Internal breakpoints increase the potential for error during watershed discretization. To reduce this potential, make sure that the point theme is in the same projection as the input grids and that the points are not in close proximity with each other or stream junctions (ponds or reservoirs close to the junctions are not used to modify the watershed configuration). Adjusting the point location and the CSA may resolve the errors.

For more information, see the following topics:

  • Internal Gages
  • KINEROS Ponds
  • SWAT Reservoirs


Internal Gages

Internal gages are used to split the watershed and stream network at specific locations. This makes it possible to compare measured and estimated runoff at a point or series of points.

Points should be located within 100 meters of the stream network to ensure successful snapping. The points cannot be located within 10% of the channel length of a junction or within 5 cells (based on the DEM resolution) of each other. If AGWA2 detects points within these tolerances, they will be ignored.

Note that the presence of gages can result in improper watershed configurations, including unsplit KINEROS planes, misnumbered planes and orphaned stream segments. AGWA2 contains several checks for various errors but the user should inspect the final watershed carefully before proceeding.


KINEROS Ponds

Ponds are created in a manner similar to that of internal gages; however, if a pond is too close to a junction, the proper location is assumed to be the junction and the correct routing should occur.

Additional parameters are required when simulating ponds in KINEROS. AGWA2 will prompt you to locate this file during parameter file generation. These parameters should be contained in a comma-delimited text file that describes the rating curve for the pond. The file may contain parameters for more than one pond, and must have the following formatting:

ID, STOR, NUM
Volume, Discharge, Surface Area
...
...
Volume, Discharge, Surface Area
ID, STOR, NUM
Volume, Discharge, Surface Area
...
...
Volume, Discharge, Surface Area

Example:
1, 0, 4 <--------------ID, STOR, NUM
0.00, 0.00, 24959.11
3833.24, 0.49, 25345.83
...
...
28090.92, 1.31, 277728.55
2, 0, 8 <--------------ID, STOR, NUM
0.00, 0.00, 24959.11
3833.24, 0.49, 25345.83
...
...
28090.92, 1.31, 27728.55

with NUM number of lines per each pond ID containing volume in m3, pond outflow discharge in m3/s, and pond surface area at each volume in m2. STOR is the initial pond storage volume in m3. Each ID from the pond point theme used during the delineation process must have a set of entries in the text file. The formatting requirements are very specific, so the user should make an effort to follow the above format as closely as possible.

Note that it is possible for pond elements to be overwhelmed. This occurs when rainfall and runoff entering the pond element exceed the volume and capacity of the pond element, as specified in the pond input file. This error may be hard to detect, because it may appear that KINEROS runs to completion when, in reality, it failed on the pond element. If AGWA2 does not regain control after a KINEROS run using ponds or if results are not properly imported, KINEROS failed. To fix this problem, increase the rating table for the pond by adding more values to the pond input text file.


SWAT Reservoirs

A SWAT reservoir is similar to a KINEROS pond in that the reservoir lies on a channel segment. A second water storage element, ponds, is available in SWAT but these are not supported by AGWA2. Ponds are water storage locations within a subwatershed and do not affect watershed discretization. Reservoirs are created in a manner similar to that of internal gages; however, if a reservoir is too close to a junction, the proper location is assumed to be the junction and the correct routing should occur. A channel can only contain one reservoir in AGWA2 due to the discretization process.

Reservoir input files are defined through the SWAT Reservoir Input form. Once the watershed has been successfully discretized AGWA2 will display the form. Locate the main input data file using the Browse button on the Input File Selection panel.

Select an Outflow Simulation Code from the Outflow Simulation Code Selection panel. Each code requires a specific input format as outlined below. Click Process to parameterize the reservoirs.

Regardless of the Outflow Simulation Code, the input files must contain the following values in this order on ONE line:

ID, MORES, IYRES, ESA, EVOL, PSA, PVOL, VOL, SED, NSED, K, FLOWMX1, FLOWMX2, FLOWMX3, FLOWMX4, FLOWMX5, FLOWMX6, FLOWMX7, FLOWMX8, FLOWMX9, FLOWMX10, FLOWMX11, FLOWMX12, FLWOMN1, FLOWMN2, FLOWMN3, FLOWMN4, FLOWMN5, FLOWMN6, FLOWMN7, FLOWMN8, FLOWMN9, FLOWMN10, FLOWMN11, FLOWMN12

where ID is the point theme identifier; MORES is the month the reservoir became operational; IYRES is the year the reservoir became operational (if either MORES or IYRES is 0, SWAT assumes the reservoir is operational at the start of the simulation); ESA is the reservoir surface area when filled to the emergency spillway (ha); EVOL is the volume of water needed to fill the reservoir to the emergency spillway (104 m3); PSA is the reservoir surface area when filled to the principal spillway (ha); PVOL is the volume of water needed to fill the reservoir to the principal spillway (104 m3); VOL is the initial reservoir volume (104 m3); SED is the initial sediment concentration (mg/L); NSED is the equilibrium sediment concentration (mg/L); K is the hydraulic conductivity of the reservoir bottom (mm/hr); FLOWMX1-12 is the maximum daily outflow for the month (m3/s); and FLOWMN1-12 is the minimum daily outflow for the month (m3/s). For FLOWMX and FLOWMN, you may set all months to zero if you do not want to trigger this requirement.

Additional input values required for each of the outflow simulation options are listed below. These inputs must appear immediately after the inputs listed above on the same line. It is important to note that all data associated with an ID is located on one line.

Outflow Simulation Code 0:

RR, the average daily principal spillway release rate (m3/s). The following example is a reservoir with a point theme ID of 2.

2,0,0,2444,17269,1445,6772,6772,350,350,0.08,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1000

Outflow Simulation Code 1:

RESMONO, the full path name of the text file containing monthly outflow data. The following example is a reservoir with a point theme ID of 2.

2,0,0,2444,17269,1445,6772,6772,350,350,0.08,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1000, c:\agwa\projects\agwa_proj\reservoir.txt

This monthly outflow data file is separate from the reservoirs input text file. It must be in the following format (comma-delimited):

Line 1: can contain anything less than 80 characters in length (not used by SWAT)
Each line after contains the monthly values for one year of the simulation.

Ex: for reservoir #5

0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0

Outflow Simulation Code 2:

FLOD1R, FLOD2R, NDTARGR, STRAG1, STRAG2, STRAG3, STARG4, STARG5, STARG6, STARG7, STARG8, STARG9, STARG10, STARG11, STARG12

where FLOD1R is the beginning month of non-flood season; FLOD2R is the ending month of non-flood season; NDTARGR is the number of days required to reach target storage from current reservoir storage; STARG1-12 is the monthly target reservoir storage (104 m3). The following example is a reservoir with a point theme ID of 2.

2,0,0,2444,17269,1445,6772,6772,350,350,0.08,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,12,90,6772,6772,6772,6772,6772,6772,6772,6772,6772,6772,6772,6772

Outflow Simulation Code 3:

RESDAYO, the full path name of the text file containing daily outflow data. The following example is a reservoir with a point theme ID of 2.

2,0,0,2444,17269,1445,6772,6772,350,350,0.08,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1000, c:\agwa\projects\agwa_proj\reservoir.txt

This daily outflow data file is separate from the reservoirs input text file. It must be in the following format:

Line 1: can contain anything less than 80 characters in length (not used by SWAT)
Each line after contains the daily outflow value. There should be one line of data for each day of the simulation.

Data from the reservoir input text file is placed in a dBASE formatted table in the AGWA2 project. The structure of this table varies depending on the selected outflow simulation code and follows the same order as the input text files. This table can be edited; however, the outflow simulation codes cannot be changed. When the user opts to run the simulation, AGWA2 looks for the pond theme (“p” + watershed name) in the view. If it is located, AGWA2 writes the reservoir elements to the routing file (.fig) and writes the reservoir data files (.res, which contains all of the reservoir data; .lwq, which derives no user inputs from AGWA2 - these files contain the water quality data and can be modified in a text editor; and the daily or monthly outflow files (for codes 1-3)). See the SWAT User's Manual for more information regarding required inputs and formats for the reservoir data files.


Watershed Parameterization

Before running KINEROS or SWAT simulations for your watershed, hydrologic parameters must be derived for each model element from the topography, and land cover and soils data. Each model requires a different set of parameters. Land cover datasets must be in GRID format; soil datasets must be in vector format.

There are two parameterization steps in AGWA2: Element Parameterization and Land Cover and Soils Parameterization. To access these options, select AGWA2 Tools>Parameterization Options. Element Parameterization must be complete prior to Land Cover and Soils Parameterization.

Figure 28. Parameterization Options on the AGWA2 Tools menu.

For more information, see the following topics:

  • Element Parameterization
  • Land Cover and Soils Parameterization


Element Parameterization

To parameterize a watershed, select AGWA2 Tools>Parameterization Options> Element.Parameterizer. Select the discretization from the combobox. Regardless of the model the watershed was discretized for, the user can alter the hydraulic geometry relationship used to calculate channel geometries. Additionally, the user may create new relationships and store them in the HGR.dbf file and recalculate the hydraulic geometry without performing the full element parameterization.

If the discretization was performed for KINEROS then the user may also change the method for calculating plane element flow lengths and recalculate the flow length without performing the full element parameterization.

For more information, see the following topics:

  • Setting the hydraulic geometry relationship
  • Flow Length Options
  • Element parameterization steps


Setting the hydraulic geometry relationship

Users are given two options for hydraulic geometry. The first option uses the AGWA2 default pre-defined hydraulic geometry relationship for Walnut Gulch; the second option allows users to select from a different relationship in the HGR.dbf or to define and create a new relationship. The second option should only be used by those familiar with the watershed to be modeled. Users may also recalculate the hydraulic geometry of a discretization at a later time.

Figure 29. Element Parameterizer form showing the two Advanced Hydraulic Geometry Options.


Flow Length Options

Users are given two options for calculating flow length for lateral elements when parameterizing KINEROS discretizations. The first option is the default and uses a geometric abstraction of the plane element. The second option uses the mean flow length. For more information on flow length calculations, please see Watershed Delineation>Basic Concepts>KINEROS Flow Length.

Figure 30. Element Parameterizer form with KINEROS discretization selected, revealing Flow Length Options.


Element parameterization steps

Figure 31. Element Parameterizer form.

  1. Select the Element Parameterization command from the Parameterization Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select a discretization from the Discretization combobox. Discretized watersheds are identified by <geodatabase name>\ <discretization name>.
  3. OPTIONAL - Choose the hydraulic geometry to use
    1. Default uses a hydraulic geometry relationship developed based on field work in the Walnut Gulch Experimental Watershed in Southeastern Arizona.
    2. Advanced allows you to modify an existing relationship or select a relationship developed for other geographic regions.
  4. OPTIONAL - Recalculate the hydraulic geometry (KINEROS ONLY) of the discretization using an alternate method without performing the entire parameterization.
  5. Click the Parameterize button.


Land Cover and Soils Parameterization

To parameterize a watershed, select AGWA2 Tools>Parameterization Options> Land cover and Soils Parameterization. Select the watershed from the Watershed tab. Select a land cover GRID from the combobox on the Land Cover tab. Only GRIDs loaded into the view will be available for use. Select a land cover lookup table. All available tables in the project can be found in the combobox. Tables must have the minimum land cover fields to be used (Class, Name, A, B, C, D, Cover, Int, N, Imperv). If the desired land cover lookup table is not found in the combobox, it can be added to the project using the Add Data button. Navigate to the table to add it to the project. Select the added table. Select a soils spatial dataset from the Soils tab. Click Continue to proceed with parameterization.

Figure 32. Land Cover and Soils Data Input form.

During the initialization process, the soils dataset is compared to the watershed to ensure that the two datasets fully overlap - the soils dataset must extend beyond the edges of the watershed and must not contain any internal voids or gaps. The user can choose to continue with the parameterization if either of those situations are found with a KINEROS watershed; however, the soils dataset must be corrected before parameterizing a SWAT watershed. If the internal void error occurs, AGWA2 will automatically fill the voids and create a new soil dataset with a temporary file name of “soil” and a number. If the watershed edge extends beyond the soils dataset with a SSURGO dataset, the user must use the SSURGO tool to correct the soils theme.

For more information, see the following topics:

  • KINEROS Parameters
  • SWAT Parameters
  • Land Cover
  • Soils
  • Land Cover and Soils Parameterization Steps


KINEROS Parameters

  • Int: interception depth (mm)
  • Cover: fraction of surface covered by intercepting cover - the rainfall intensity is reduced by this fraction until the specified interception depth has been accumulated (0-1)
  • Mann_n: Manning roughness coefficient (0-1)
  • Pave: fraction of surface covered by erosion pavement (0-1)
  • Splash: Rainsplash coefficient (0-1)
  • Rock: Volumetric rock fraction, if any. If Ksat is estimated based on textural class, it should be multiplied by (1- rock) to reflect this rock volume.
  • Ks: Saturated hydraulic conductivity (mm/hr)
  • G: mean capillary drive - a zero value sets the infiltration at a constant value of Ks (mm)
  • Por: porosity (cm3/cm3)
  • Smax: maximum relative saturation (0-1)
  • Cv: coefficient of variation of Ks
  • Fract_sand: fractional sand content (0-1)
  • Fract_silt: fractional silt content (0-1)
  • Fract_clay: fractional clay content (0-1)
  • Dist: pore size distribution index. Used for redistribution of soil moisture during unponded intervals
  • Coh: Soil cohesion coefficients
  • Ks_final: area-weighted Ks value
  • Pct_imperv: percent of watershed covered by impervious materials


SWAT Parameters

  • CN: area-weighted curve number based on soil type and land cover
  • Cover: fraction of surface covered by intercepting cover - rainfall intensity is reduced by this fraction until the specified interception depth has been accumulated (0-1)
  • HydValue: weighted hydrologic group value used to determine curve number
  • Ks: saturated hydraulic conductivity (mm/hr)
  • Soil_id: value of the soil ID field (MUID, MUKEY or SNUM) of the dominant soil type

Additional soil parameters are included in the <watershed name>_soil_lut.dbf. This table contains values for each layer in each soil component found in the watershed.

The parameterization process requires the provided kin_lut.dbf table (Figure 33). These parameters were derived from the KINEROS manual (1990) and Rawls et al. (1982). The table is used to obtain the necessary soil parameters not found in the soils databases. Several soil parameters are modified by AGWA2 to avoid errors or improve estimates.

The textures listed in the table refer to soil textures found in STATSGO and SSURGO soil components (U.S.D.A., 1994; U.S.D.A., 1995). Several additional textures were added to accommodate the FAO soils dataset. The soil parameters include

  • KS: Saturated hydraulic conductivity (mm/hr)
  • G: Net capillary drive (mm)
  • Por: porosity (cm3/cm3)
  • Smax: Maximum relative soil saturation (0-1)
  • Cv: Coefficient of variation of KS
  • Sand: Fractional sand content (0-1)
  • Silt: Fractional silt content (0-1)
  • Clay: Fractional clay content (0-1)
  • Dist: Pore size distribution index
  • Kff: soil erodibility factor (0-1).

Figure 33. The kin_lut.dbf table.


Land Cover

Land cover parameters are area-weighted averages based on the land cover types within each plane or subwatershed. Using the TabulateArea feature, AGWA2 calculates the proportion of each land cover type within a plane. These values are then used with the relevant parameter from the selected lookup table to determine the average value for the plane or subwatershed.

In some cases, a land cover surface will contain values that do not correspond to a recognized land cover, such as “Clouds” or “Water”. This classification indicates an area with no land cover data and is usually accompanied by a corresponding record in the land cover lookup table with all hydrologic soil group (A, B, C, D) values set to zero or to 100. Any land cover with all parameters set to zero or with all hydrologic soil group values to 100 will be excluded from the normal area-weighting process and from the HRU parameterization process.

For more information see the following:

  • Supported Land Cover Datasets
  • KINEROS
  • SWAT


Supported Land Cover Datasets

Each lookup table is related to a specific type of land cover through the land cover classification number (the value of the grid cell). AGWA2 provides several lookup tables, including NALC, MRLC, SWGAP, and NY. All values found in the land cover GRID must be found in the selected lookup table.

For more information, see the following topics:

  • NALC
  • NLCD
  • SWGAP
  • Custom Land Cover


NALC

The North American Landscape Characterization (NALC) project was developed cooperatively by the EPA, USGS, and NASA. NALC data is derived from Landsat Multi-Spectral Scanner (MSS) satellite scenes. Time-series triplicate data from 1973, 1986, and 1991 were compiled for the NALC project with investigations of changes in land cover over time in mind.

For more information on the NALC project, please visit:

  • http://edc.usgs.gov/products/satellite/nalc.html
  • http://eosims.cr.usgs.gov:5725/CAMPAIGN_DOCS/nalc_proj_camp.html


NLCD

AGWA provides land cover look-up tables for two NLCD land cover products, the National Land Cover Dataset (NLCD 1992) and National Land Cover Database (NLCD 2001). Both NLCD products were developed by the Multi-Resolution Land Characteristics (MRLC) consortium. NLCD 1992 was derived from Landsat 5 Thematic Mapper (TM) satellite data whereas NLCD 2001 was derived from Landsat 5 and 7 TM satellite data. Because of the different satellites used and differences in mapping methodology and land cover classes, direct comparison between NLCD 1992 and NLCD 2001 to determine change on the ground over time is not recommended.

Data in the look-up tables were derived primarily from the USDA Soil Conservation Service (now USDA National Resources Conservation Service) Techinical Release 55: Urban Hydrology for Small Watersheds (TR-55) and supplemented by http://www.epa.gov/mrlc/definitions.html and expert knowledge.

Figure 34. NLCD 1992 legend.

Figure 35. NLCD 2001 legend.

For more information on the NLCD and MRLC, please visit:

  • http://www.mrlc.gov


SWGAP

The SWGAP land cover map uses a more detailed classification system than the other land cover maps used in AGWA2. Since hydrological properties are not available for these detailed classes, whenever possible, each SWGAP land cover type was given a value matching a land cover type from the National Land Cover Data (NLCD) set to obtain the hydrologic properties for the models. The remaining SWGAP land cover types were given a NLCD value based on the larger ecological system they were in.


Custom Lookup Tables

Custom Land Cover

Any land cover classification can be used with AGWA2 if the user supplies the properly formatted lookup table. The lookup table must be keyed to the land cover GRID by a CLASS field with a record for each value in the land cover GRID. To use the Land Cover Modification Tool or to use with a buffered watershed, the table must also have a NAME field. Other required fields include Percent Cover, Interception, Manning's N, Percent Impervious, and curve numbers for hydrologic groups A, B, C, and D. Figure 36 shows an example lookup table.

Figure 36. Example land cover lookup table for the MRLC classification scheme.


KINEROS

Land cover parameters for KINEROS are area-weighted averages based on the intersection of the watershed with the land cover GRID. Four parameters are required: cover, interception, Manning's N, and percent impervious. The averages are written to the watershed attribute table.


SWAT

Land cover parameters for SWAT are based on the land cover intersection and the average hydrologic soil group as determined by soils parameterization. Derived parameters include hydrologic soil group and KS. KS is based on the soil texture of the first soil layer and the kin_lut table values. The parameters are written to the watershed attribute table.


Soils

AGWA supports three soils datasets: STATSGO, SSURGO, and FAO. Example datasets for each soil type are provided in the AGWA gisdata and datafiles download (http://www.tucson.ars.ag.gov/agwa). For more information, see the following topics:

  • Supported Soil Datasets
  • KINEROS Soils parameters
  • SWAT Soils parameters


Supported Soil Datasets

AGWA supports three soils datasets: STATSGO, SSURGO, and FAO. For more information, see the following topics:

  • STATSGO
  • SSURGO
  • FAO


STATSGO

Depending on the history of the STATSGO soils dataset, it will have one of two different fields to identify the soil type. Older datasets have a MUID (map unit ID) field and more recent datasets have a MUKEY field. AGWA2 actually identifies STATSGO datasets with an MUKEY field as SSURGO datasets because they also follow the SSURGO database schema.

For each MUID or MUKEY, there are predefined components that describe the spatial variation within a particular soil type. For instance, there may be three components associated with MUID AZ061 (see Figure 37). Each component occupies a certain percentage of the larger soil type (MUID); the component percentages must sum to 1. For MUID datasets, component information is stored in the comp.dbf file in the datafiles\statsgo\<state> folder. For MUKEY datasets, component information is stored in an Access database provided with the dataset. A component is composed of different layers. For MUID datasets, layer information is stored in the layer.dbf file in the datafiles\statsgo\<state> folder. For MUKEY datasets, layer information is stored in an Access database provided with the dataset.

Figure 37. STATSGO structure.


SSURGO

SSURGO datasets are identified by the MUKEY field in the soil theme's attribute table. Datasets will not be recognized by AGWA2 without this field. Newer STATSGO datasets may also have this field, though this is not a problem; AGWA will proceed with the SSURGO weighting routines because the underlying data structure between the newer STATSGO and SSURGO is the same.

Like the STATSGO dataset, the SSURGO dataset is composed of components and horizons (i.e. layers). See Figure 38. A similar weighting process is used for this dataset.

Figure 38. SSURGO structure.

Component, texture and layer information is stored in tables within Access database. Before using SSURGO or STATSGO MUKEY datasets in AGWA, the tabular data provided with the dataset must be imported into the Access database. To import the tables, open the Access database and supply the Import SSURGO form (Figure 39) with the path to the tabular folder included with the dataset.

Figure 39. SSURGO Import form that is used for importing tabular data associated with SSURGO and STATSGO MUKEY datasets.


FAO

FAO datasets are identified by the SNUM field in the soil theme's attribute table. Datasets will not be recognized by AGWA2 without this field. To use the dataset, first reproject the dataset to a geographic projection with decimal degrees and then to UTM or some other projection with units in meters.

The FAO datasets and tables were obtained either from the Food and Agriculture Organization of the United Nations (FAO/UNESCO, 2003) Soil Map of the World CD-ROM, or from C.A. Reynolds research (Reynolds et al., 1999).

To use FAO soils in AGWA2, several modifications were made. FAO soils are classified into three broad soil texture categories: coarse, medium, and fine; however, the kin_lut.dbf uses textures based on the USDA soil texture triangle. All FAO soil units in the tables were assigned one of the twelve texture classes from the soils triangle. For those FAO soil mapping units that did not have any associated soil-units or soil properties, textures were assigned based on the most similar texture in the table. These units include “dunes/shifting sands”, “salt”, “rock”, “glaciers”, “water” and “No Data”. For example, “salt” is given the same values as “gypsum”, while “rock” is given values from “unweathered bedrock”.

FAO soil classes are composed of multiple components. The components do not have multiple layers (Figure 40).

Figure 40 . FAO structure.

Occasionally, a soil-unit is not found in the tables, so texture is determined based on the soil-unit name. FAO textures are “coarse”, “medium”, or “fine”, and are designated with a “1” (coarse), “2” (medium), or “3” (fine) following the soil-unit symbol (i.e. AF 2). These textures are defined in the FAO documentation based on the soil texture classes form the USDA Soil texture triangle (FAO/UNESCO, 2003). These three soil textures (coarse, medium, and fine) were added to the kin_lut.dbf and their soil properties created from weighted averages of values in the kin_lut.dbf. For example, “coarse” soil, defined as “Sand, Loamy sand, and Sandy loam soils when clay is less than 18% and sand is greater that 65%” (FAO/UNESCO, 2003), uses the weighted average of these three soil textures (see Figure 41).

Figure 41. USDA Soil Texture Triangle with FAO soil textures outlined.

When retrieving parameters for use as inputs to the models, parameters were first obtained from the FAO data if available (FAO_component.dbf), then from the Reynolds data (FAO_Summ.dbf), and finally from the AGWA kin_lut.dbf table if not found in any other source.

The hydrologic soil group (HSG) is not given in the FAO documentation. It was determined using the soil texture classes, the USDA soil texture triangle, and the FAO documentation on soil texture classes (FAO/UNESCO, 2003). General definitions for the hydrologic soil groups for use in verifying the relationship between texture and HSG were taken from Engel et al. (2004) and Jarrel and Bundy (2002).


KINEROS

Soil parameters for KINEROS are area-weighted averages of the top 9 inches of the soil stratum. First, AGWA2 performs any depth-weighting necessary based on the depth of the layers for each component within the plane. The depth-weighted values are then used during the area-weighting process to derive the final parameters. Weights are determined through the intersection of the watershed with the soils dataset.

Parameters are added to the watershed attribute table once weighting is complete.

Clay, silt, and sand fractions should sum to 1 for each plane element after area-weighting is complete. If the sums exceed the specified ranges, parameterization fails. This can be caused by missing data in a plane element or incorrect watershed intersections. Correct any problems before attempting to run KINEROS.

In some cases, a plane element may fall completely within a soil type, such as water, that cannot be averaged. In earlier versions of AGWA2, the soil parameters for these elements were assigned a value of -99; however, because these elements do not contribute runoff to the watershed, AGWA2 now provides the option to remove these elements from the watershed to allow users to continue the simulation process.

If soil parameters for a plane element cannot be averaged, AGWA2 informs the user and asks if processing should continue without the affected elements. If the user declines, soil parameterization ceases and the watershed should not be used for simulation with the selected soil theme. If the user accepts, the affected plane elements are removed from the watershed and any affected parameters updated (cumulative area and contributing element). Please note that this situation could be an indication of errors within the soils dataset or the intersection theme. If this is the case, removing the planes will result in misleading runoff estimates. It is the user’s responsibility to examine the watershed and soils theme before undertaking this option.


SWAT

Unlike KINEROS, SWAT soil parameters are not area-weighted by subwatershed. Instead, these values are based on the dominant soil type found in the subwatershed.

Soil parameters are stored in the delineation geodatabase in a table, <discretization name>_temp_soil_lut, with a record for each layer of each component in the watershed. The watershed attribute is modified to include a SOIL_ID field containing the dominant soil identifier. This table is required for SWAT simulation.


Land cover and soils parameterization steps

Figure 42. Land Cover and Soils form.

  1. Select the Land Cover and Soils Parameterization command from the Parameterization Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. In the Watershed tab:
    1. Select a discretization from the Discretization combobox.
  3. In the Land Cover tab:
    1. Select a land cover grid from the Land Cover Grid combobox.
    2. Select a lookup table from the Lookup table combobox for the selected land cover grid.
      1. You may add a lookup table using the Add Data button on the form.
      2. You may also add a lookup table using the Add Data button on the ArcMap Standard
        toolbar.
  4. In the Soils tab:
    1. Select a soils dataset from the Soils layer combobox.
    2. Depending on the soil layer:
      1. If SSURGO or STATSGO MUKEY, you may need to locate the Access database associated with the layer
        through afile dialog window that opens.
        1. Before locating the Accessing database, you must import all the tables assoicated with the soil survey into it. This is accomplished by opening the Access database and supplying the Import form shown with the path to the tabular folder for the soil survey (Figure 43).

          Figure 43. SSURGO Import form that is used for importing tabular data associated with SSURGO and STATSGO MUKEY datasets.
      2. If STATSGO MUID dataset, then do nothing; the comp.dbf and layer.dbf files should be
        located automatically.
      3. If FAO then do nothing; the FAO_component.dbf, FAO_properties.dbf, and
        FAO_summ.dbffiles should be located automatically.
    3. Determine if you would like AGWA to continue soils parameterization if the watershed layer
      extends beyond the soils layer. To force parameterization, check the Ignore extent error;
      otherwise, leave it unchecked.
      1. If the extent error box is unchecked and any portion of the watershed layer does not
        overlapthe soils layer, AGWA will terminate the parameterization.
  5. Click the Continue button to begin land cover and soils parameterization.

Land Cover and Soils Parameterization Notes

  • KINEROS parameters are added to the watershed feature class attribute table; SWAT parameters can be found in the <watershed_name>_temp_soil_lut table found in the geodatabase.


Precipitation

AGWA2 provides several options for generating precipitation data for KINEROS and SWAT. KINEROS options allow the user to select pre-defined design storms, user-defined storms, or NOAA precipitation-frequency data. SWAT options use a single gage, uniform method, or a multiple gage, distributed method. For more information, see the topics:

  • KINEROS
  • SWAT


KINEROS

Several options are available for generating properly formatted KINEROS precipitation files. All precipitation files are written to the appropriate discretization folder in the geodatabase.

Figure 44. Precipitation Options on the AGWA2 Tools menu.

To generate precipitation files, go to AGWA2 Tools>Precipitation Options>Write KINEROS Precipitation.

For more information, see the following topics:

  • NOAA - Precipitation-Frequency Maps
  • User-Defined: Option 1 - enter an event manually with time-depth/intensity pairs
  • User-Defined: Option 2 - enter an event manually using total depth and duration
  • Pre-Defined: AGWA Design Storm Database - generate an event from a single return-period depth
  • Setting the Saturation Index
  • KINEROS Precipitation Steps


NOAA - Precipitation-Frequency Maps

Precipitation-frequency maps may be downloaded via NOAA's Precipitation Frequency Data Server (PFDS) (http://hdsc.nws.noaa.gov/hdsc/pfds/) for the Western states and Ohio River Basin. For those states not covered by the NOAA dataset, we have developed a temporary alternative by digitizing and interpolating NOAA TP 40 rainfall frequency atlas maps. These data are available for download at http://www.tucson.ars.ag.gov/agwa/index.php?option=com_content&task=view&id=23&Itemid=44 until such time as the PFDS is complete.

Multiple durations and frequencies are available, but users should note that durations exceeding 48 hours are not applicable in KINEROS. Releases prior to AGWA2 also supported precipitation-frequency maps but in different units. AGWA2 supports grids with units of 1000ths of inches, whereas prior releases supported grids with units of 100,000ths of inches. If grids measured in 100,000ths of inches are all that is available, a simple grid calculation will make the grids compatible.

Instructions for importing precipitation-frequency maps

From the NOAA Precipitation-Frequency Data Server:

  1. Go to http://hdsc.nws.noaa.gov/hdsc/pfds/pfds_gis.html in your web browser.
  2. Scroll down to the Download GIS Data, Via pull-down menu section. You can also download the data by anonymous ftp.
  3. In the first set of comboboxes select the appropriate region. Select the desired return period and duration of the storm. Choose ArcInfo ASCII Grid for the Format and Mean for the Type.
  4. When the appropriate selections are made, click the Click here to begin GIS data download and save the file to your hard drive.
  5. Once the file is downloaded, it must be extracted from the GZ archive using a program like WinRAR.
  6. Rename the extension of the filename from .copy to .txt.
  7. In ArcCatalog, open the folder containing the ASCII file. Open ArcToolbox>Conversion Tools>To Raster>ASCII to Raster. Select the file, name the output grid, and select “Float” for the output data type.
  8. Define the projection (the grid is downloaded in geographic coordinates, Decimal Degrees): ArcToolbox > Data Management Tools > Projections and Transformations > Define Projection. Click OK.
  9. Use ArcToolbox to reproject the data to the same projection as the rest of your data: ArcToolbox>Data Management Tools>Projections and Transformations>Raster>Project Raster.
  10. Add the grid to the view (this can be done using the Add data button, or by dragging the file to the Table of Contents in ArcMap).

From the USDA-ARS server:

  1. In your web browser, go to http://www.tucson.ars.ag.gov/agwa/index.php?option=com_content&task=view&id=23&Itemid=44
  2. Select the desired state from the Available States combobox. Select the return period and duration.
  3. Click the Click here to begin download button and save the grid to your hard drive (The grid does not need to be converted).
  4. Reproject the grid from geographic coordinates (Decimal Degrees). It must be projected to match the rest of the project data. Use ArcInfo, ArcToolbox or the Reproject Grids extension (available from the ESRI website) to reproject the data.
  5. Add the grid to the view (this can be done using the Add data button or by dragging the file to the Table of Contents in ArcMap).

On the NOAA tab of the KINEROS Precipitation form, select the desired grid from the combobox on the Storm Information panel (Figure 45). Select a watershed on the Watershed Information panel. Enter a precipitation file name and a saturation index. This is the initial soil saturation value for the event. (It is equivalent to the SA value in the parameter file.)

Figure 45. KINEROS Precipitation form with the NOAA tab selected.

AGWA2 takes the watershed centroid and intersects it with the NOAA grid to determine the event's total depth value. The depth value is converted to a hyetograph using the SCS methodology (SCS, 1973) and a type II distribution. The type II distribution and several others are shown in Figure 46, and a map of the applicability of the type II distribution is shown in Figure 47. The type II distribution is appropriate for deriving the time distribution of rainfall for most of the country.

Figure 46. SCS distributions.

Figure 47. Applicability of type II distribution.


User-Defined: Option1

If users have their own event data, it can be entered manually on the Option1 tab of the User-Defined tab (Figure 48). The user must supply each time-depth or time-intensity pair for the event duration. This is not recommended for events with long durations.

Select the rainfall data type to generate: time-depth pairs or time-intensity pairs. Click in the Time (min) field to enter the time value (minutes); click in the Depth (mm) or Intensity (mm/hr) field to enter that value. Once all of the rows are completed, select a saturation index and watershed and enter a precipitation file name and Write the file.

Figure 48. KINEROS Precipitation form with the Option1 tab selected on the User-Defined tab.


User-Defined: Option2

If the desired design storm is not found in the supplied database, the user can enter the number of time steps, depth, and duration manually on the Option2 tab of the User-Defined tab (Figure 49). The depth and duration is converted to a hyetograph using the SCS methodology (SCS, 1973) and a type II distribution (Figure 46).

Enter the number of desired time steps to be included, the storm depth, and storm duration. Next, select a saturation index and watershed and enter a precipitation file name and Write the file.

Figure 49. KINEROS Precipitation form with the Option2 tab selected on the User-Defined tab.


Pre-Defined: AGWA Design Storm database

Pre-Defined: AGWA2 Design Storm database

AGWA2 provides a number of design storms in the dsgnstrm.dbf located in the datafiles/precip folder. This file contains return period depths for specific locations. Load this table into the project before creating a precipitation file. Select the location and frequency from the available choices. The events are generated using the SCS methodology for the type II method.

The dsgnstrm.dbf can be modified by the user to include additional locations, durations, or return period depths (Figure 50). Open the table and on the Editor Tool bar select Start Editing. Add a new record by clicking on the “last record” icon. Modify the fields as necessary and save the changes (Editor>Stop editing; click Yes when asked to save changes).

Figure 50. The dsgnstrm.dbf table.

To generate the pre-defined design storm file, select the database (dsgnstrm.dbf), the location, and frequency-duration from the available choices (Figure 51). Set the saturation index for the event (it is equivalent to the SA value in the parameter file). Enter the watershed for which the event will be generated, and a name for the precipitation file. Click Write to generate the file.

Figure 51. KINEROS Precipitation form with the Pre-Defined tab selected.


Setting the saturation index

The saturation index is set in the Watershed Information panel, and can be entered manually as a decimal value or can be selected using the slider.

Figure 52. KINEROS Precipitation form.


KINEROS Precipitation steps

Figure 53. KINEROS Precipitation form with NOAA tab selected.

  1. Select the Write KINEROS Precipitation command from the Precipitation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select the appropriate tab.
    1. NOAA
      1. Select a precipitation frequency grid from the combobox.
      2. Enter the frequency/return period the selected grid represents.
      3. Enter the duration of the storm the selected grid represents.
    2. User-Defined
      1. Option 1
        1. Select the rainfall data type.
        2. Enter the time-depth or time-intensity pairs in the empty table.
      2. Option 2
        1. Enter the number of time steps to be used. (7 time steps for a 60 minute storm will result in 10 minute intervals.)
        2. Enter the depth of the storm.
        3. Enter the duration of the storm.
    3. Pre-Defined
      1. Select the design storm database from the database combobox.
      2. Select the location from the location combobox. The location is automatically populated based on the unique records found in the LOCID field of the selected database.
      3. Select the frequency from the frequency combobox. The frequency is automatically populated based on the unique records found in the FREQUENCY field of the selected database for the selected location.
      4. Select the duration from the duration combobox. The duration is automatically populated based on the unique records found in the DURATION field of the selected database for the selected location and frequency
  3. Use the Saturation Index slider to set the saturation index.
  4. Select a discretization to write the precipitation file for from the watershed combobox.
  5. Enter a filename for the precipitation file. There cannot be precipitation files with identical names for the same discretization.
  6. Click the Write button to write the precipitation file with the selected options.
  7. Precipitation files will be written to the folder <workspace>\<geodatabase name>\<discretization name>\precip.


SWAT

AGWA2 will generate precipitation files for SWAT using a single gage, uniform method, or a multiple gage, distributed method. The multiple gage method utilizes Thiessen polygons to create an area-weighted precipitation file. Precipitation estimates (and temperature estimates) can be adjusted for topography with the SWAT elevation band component for individual watersheds.

Figure 54. Precipitation Options on the AGWA2 Tools menu.

To generate a precipitation file for SWAT, select AGWA2 Tools>Precipitation Options>Write SWAT Precipitation. This will open the SWAT Precipitation Step 1 form (Figure 55).

First, select a SWAT watershed from the combobox on the Watershed Input panel. Select a point theme containing the raingage or gages to be used on the Rain Gage Input panel. Select the rain gage identifier field (this field cannot be called ID). The field values should correspond to the values found in the unweighted precipitation file, without the leading “G”. For example, Gage 24 from the GAGE_ID field in the attribute table will have precipitation values in the G24 field of the unweighted precipitation file.

Using the point selection tool on the Select Rain Gage Points panel, select all raingages to be used. To create a uniform precipitation file, select 3 or fewer gages; to create a distributed precipitation file, select more. The identifiers will be displayed in the Selected Gages area.

Click Continue when satisfied with the input selections to proceed to the Precipitation Weighting form. See Precipitation> SWAT> Uniform Precipitation or Distributed Precipitation. Both options require an unweighted precipitation file containing a minimum of three fields: YEAR, DAY, and a gage field. DAY refers to the Julian day of the year (1-366) with values repeating for each year in the record. The values in the gage fields must be in millimeters. Weighted averages will be adjusted for missing or negative precipitation values. See Figure 56 for an example of an unweighted precipitation file.

Precipitation files are written to the <workspace>\<geodatabase name>\<discretization name>\precip folder.

Figure 55. SWAT Precipitation Step 1 form.

Figure 56. Example of an unweighted precipitation file.

For more information, see the following topics:

  • Uniform Precipitation
  • Distributed Precipitation
  • SWAT Precipitation Steps


Uniform Precipitation

For this option, the user only needs to provide an unweighted precipitation file in addition to the rain gage information.

Figure 57. SWAT Uniform Precipitation form.

First, select the Unweighted precipitation file (Figure 57). (The discretization theme, point theme, and gage identifier field have already been selected.) The file can be added at this time by selecting the Browse button. If any gage in the point theme selection is not found in the unweighted precipitation file, AGWA2 will terminate the process. If multiple gages (<= 3) were selected, AGWA2 will use the gage closest to the centroid of the watershed. Enter a name for the new precipitation file. Click Write to generate the file.


Distributed Precipitation

Distributed precipitation files use Thiessen polygons to calculate weighted averages for each subwatershed. Two additional steps are required before the precipitation file can be written. First, the Thiessen polygon theme must be created from the selected gages. Then, the Thiessen polygons must be intersected with the watershed theme to determine the weights. Thiessen polygon themes and Thiessen polygon-watershed intersection themes can be used more than once.

Figure 58. SWAT Distributed Precipitation form.

First, select the unweighted precipitation file (Figure 58). The unweighted precipitation file must contain columns for each gage selected in the previous form (see Figure 59 for an example selection set of rain gages). Again, a file can be added to the project at this time with the Browse button.

Figure 59. Example set of rain gage locations for a SWAT watershed.

If a Watershed-Thiessen intersection theme has been created, select it from the combobox, then enter a name for the new precipitation file, and click Write to generate the file. Otherwise, if the intersection theme does not exist, go to the Thiessen/Intersection Theme tab to generate the it (Figure 60).

Figure 60. SWAT Distributed Precipitation form with Thiessen/Intersection Theme tab selected.

If a Thiessen polygon theme has been generated for the selected raingage theme, select it in the Create New Intersection theme panel. If a Thiessen polygon theme has not been created for the selected raingages, enter a name for the new theme in the Create New Thiessen Polygon Theme panel, and click Create. See Figure 61 for an example of a Thiessen polygon theme.

Figure 61. Thiessen polygon theme based on the selected rain gages.

Once the Thiessen polygon theme has been created, it is added to the Thiessen polygon theme combobox in the Create New Intersection Theme panel. Select the theme and enter a name for the new intersection theme and click Create. The new intersection theme is then added to the intersection combobox in the Distributed Precipitation Inputs tab. Select the intersection theme, enter a name for the precipitation file and click Create to create the file. See Figure 62 for an example of a Thiessen polygon/watershed intersection theme.

Figure 62. Thiessen polygon/watershed intersection theme.

If the gages in the intersection theme do not match the gages in the unweighted precipitation file, AGWA2 will display a message containing a list of gages that will not be used and a list of gages that will be used. This will not terminate the process.

The weighting scheme is modified to account for missing or negative precipitation values. The following outlines the weighting process:

  • If all gages in a subwatershed have values then the weighted depth = weighted depth + (gage depth * gage weight)
  • If all the gages in the watershed have zero values or no data then the weighted depth = 0.
  • If one or more of the gages in the subwatershed have no data then:
    • If all the gages for the subwatershed have no data, then set the weighted depth to the depth of the closest gage with a value unless there are more than one gage within the subwatershed, then the weighted depth is the depth of the gage closest to the subwatershed centroid.
    • If some gages within a subwatershed have no data, then if the gage depth is negative the weighted depth is unaffected; otherwise the gage weight is adjusted as (gage weight / (1 - sum of the weights of the no data gages)).

The weighting process can take a considerable amount of time. Two factors affect the total processing time: the number of gages and the length of the unweighted precipitation file. In both cases, processing times increase as the number of records increases. Processing times are also increased for watershed groups, increasing with the number of watersheds within the group.


SWAT Precipitation steps

  1. Select the SWAT command from the Precipitation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select the discretization from the Discretization combobox.
  3. Select the rain gage point theme from the Rain gage point theme combobox.
  4. Select the rain gage ID field from the Rain gage ID field combobox
  5. Select the gage selection tool and select the gages to be used for precipitation weighting.
  6. Select an elevation input option:
    1. Do not include elevation data
    2. Acquire gage elevation from the DEM
    3. Acquire gage elevation from the gage attribute table
      1. Select the Elevation field
      2. Select the Elevation units
      3. Meter conversion
  7. Click Continue to move to the next step.
    1. If the number of gages < 3, AGWA2 is automatically routed to SWAT Uniform Precipitation.
      1. Select the Unweighted precipitation file from the precipitation file combobox.
      2. Enter a filename for the precipitation file. There cannot be precipitation files with identical names for the same discretization.
      3. OPTIONAL - Select the Elevation Bands Option tab
        1. Enter elevation bands information.
      4. Click the Write button to write the precipitation file with the selected options.
    2. If the number of gages >= 3, AGWA2 is automatically routed to Distributed Precipitation Weighting.
      1. Select the Unweighted precipitation file from the precipitation file combobox.
      2. Select the Thiessen polygon/watershed-intersection theme.
        1. Thiessen/Intersection tab to create one if one does not exist.
      3. Enter a filename for the precipitation file. There cannot be precipitation files with identical names for the same discretization.
      4. OPTIONAL - Select the Elevation Bands Option tab
        1. Enter elevation bands information.
      5. Click the Write button to write the precipitation file with the selected options.

SWAT Precipitation Notes

  • Precipitation files will be written to the folder <workspace>\<geodatabase name>\<discretization name>\precip.


Model Execution

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, you can run the model. AGWA2 can run KINEROS2, SWAT2000 and SWAT2005. For more information, see the following topics:

  • KINEROS2
  • SWAT


KINEROS

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, you can run KINEROS. The process includes writing the necessary input files to a KINEROS simulation folder (located in <workspace>\<geodatabase name>\<discretization name>\simulations), executing KINEROS, and importing the KINEROS output file into the project.

For more information, see the following topics:

  • Inputs and Execution
  • Using Multipliers
  • KINEROS Model Execution Steps


Inputs and Execution

To input the required information to run KINEROS, go to AGWA2 Tools>Simulation Options>KINEROS>Write Input Files (Figure 63) on the AGWA2 Toolbar.

Figure 63. Simulation Options on the AGWA2 Tools menu.

On the KINEROS Simulation Information form (below), select a discretization and precipitation file on the Basic Info tab. A list of available discretizations and precipitation files will be provided in the comboboxes. The list in the combobox contains all precipitation files found in the <workspace>\<geodatabase name>\<discretization name>\precip folder. If a precipitation file is located in another location, use the Browse button to navigate to the file. Select a name for the simulation. Add Optional Multipliers if desired, then click Write. AGWA2 will write the parameter file.

Figure 64. Kineros Simulation Information Form

A new folder for the simulation will be created in the simulations folder. All parameter file names must be unique or the simulation outputs could reflect the wrong parameter file inputs. The precipitation file is also copied to the simulations folder. AGWA2 will generate the kin.fil file (the KINEROS control file) in the following format (all entries on one line per pair):

parameter filename, precipitation filename, output filename, comments (optional), duration, timestep (1 minute default), use Courant criteria (Y/N), simulate sediment transport (Y/N), multipliers filename (not used), include tabular summary(Y/N), API initializing (Y/N)

The filenames in the kin.fil file (and the hydrograph outputs) are not the full path names, so KINEROS will only read or write files within the simulations folder. The output filename is the same as the parameter file name with an .out extension. AGWA2 defaults to use the Courant condition, to simulate sediment transport and not to initialize API. AGWA2 will then write a batch file (file.bat).

When finished entering the run information, go to AGWA2 Tools>Simulation Options>KINEROS>Run Kineros. On the Run KINEROS form, select the discretization and simulation, then click Run. AGWA2 will navigate to the simulation folder and initialize KINEROS (Figure 65).

Figure 65. The KINEROS2 simulation (MS-DOS window).


Using multipliers

Multipliers are values used to adjust plane and channel parameters before the KINEROS simulation, but do not modify the watershed or stream attribute tables. These values serve to calibrate the simulation. Multipliers range between -5 and +5, excluding zero. Multipliers are added in the Optional Multipliers tab when selecting the Basic Info to run KINEROS (Figure 66).

Figure 66. KINEROS Run Information form with Optional Multipliers tab selected.


KINEROS model execution steps

Figure 67. KINEROS Run Information form.

  1. Select the KINEROS command from the Simulation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar. Select Write Input Files.
  2. Select a discretization from the combobox on the Basic Info tab.
  3. Select a precipitation file from the precipitation combobox. Precipitation files in the combobox are loaded from the <workspace>\<geodatabase name>\<discretization name>\precip folder.
    1. OPTIONAL - click the Browse button to browse for a precipitation file that may be located elsewhere.
  4. Enter a name for the simulation. There cannot be simulations with identical names for the same discretization.
    1. OPTIONAL - Select the Optional Multipliers tab and enter multipliers for the given parameters.
  5. Click the Write button to write model input files
  6. To execute the model, select the KINEROS command from the Simulation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar. Select Run KINEROS.
  7. Select the discretization and simulation, then click Run.

KINEROS Model Execution notes

  • Simulation inputs and outputs will be written to the folder <workspace>\<geodatabase name>\<discretization name>\simulations\<simulation name>.


SWAT

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, you can run KINEROS. The process includes writing the necessary input files to a KINEROS simulation folder (located in <workspace>\<geodatabase name>\<discretization name>\simulations), executing KINEROS, and importing the KINEROS output file into the project.

For more information, see the following topics:

  • Inputs and Execution
  • Weather Generator File
  • Climate Assessment Tool
  • Advanced Inputs
  • SWAT Model Execution Steps


Inputs and Execution

Once the watershed has been delineated, discretized, and parameterized, and the precipitation file has been created, you can run SWAT. This process includes writing the necessary input files to a SWAT simulation folder (located in <workspace>\<geodatabase name>\<discretization name>\simulations), executing SWAT, and importing the SWAT output file into the project. Both SWAT2000 and SWAT2005 will run in AGWA2.

To run SWAT, go to AGWA2 Tools>Simulation Options and select the appropriate version of SWAT.

Figure 68. Simulation Options on the AGWA2 Tools menu.

On the Input Files form, Basic Inputs tab (Figure 69), select a watershed from the Watershed panel. On the Climate Inputs tab, select a weather generator (WGN) point theme and station. See Model Execution> SWAT> Weather generator file and Model Execution> SWAT> Climate assessment tool for more information. Next, select whether to use observed precipitation or to generate it from the selected WGN station. Again, select whether to use observed temperature data or to generate it from the selected WGN station. Using observed precipitation and temperature data is generally the better option, but observed data may not be available or modified climate scenarios may be preferred. For formatting and data requirements of observed temperature data, refer to the provided TMP files and the SWAT User’s Manual.

On the Simulation Inputs tab enter a simulation time period, and number of years to simulate on the Simulation Time Period panel. The beginning date of the simulation is based on the start date of the selected precipitation file or defaulted to 01/01/1990 in the case of generating precipitation data. The date is entered as MM/DD/YYYY. This value can be changed if it does not reflect the desired start date. Enter the number of years to simulate. The precipitation file must contain all of the records necessary to simulate the time period from the specified start date to the end date indicated by the number of years. Note observed precipitation and temperature files must be in agreement with the start date and simulation duration.

Figure 69. SWAT Input Files with Climate Inputs tab selected.

Select the output frequency on the Output Frequency panel. Simulations can be run on a daily, monthly or yearly frequency. Please note that processing times increase for simulations run at the daily timestep.

Enter a simulation name on the Simulation Name panel. This name will be used to create a folder in the <workspace>\<geodatabase name>\<discretization name>\simulations\ folder. All input files for the simulation will be written to this folder. Simulation names are limited to 5 characters in length.

Determine which, if any, optional parameters to use during the simulation from the Advanced Inputs tab (see Model Execution> SWAT> Advanced Inputs ). Available options include groundwater simulation, rainfall adjustment factors and nitrogen and phosphorous simulation.

Click Write to proceed, and AGWA2 generates the input files and initializes SWAT (Figure 70).

Figure 70. The SWAT Simulation (MS-DOS window).


Selecting the weather generator file

Weather generator file

A weather generator file contains statistical data for a gage location that is used by SWAT to estimate daily maximum and minimum temperatures, rainfall, and other climate parameters required by SWAT. A point theme of available stations is provided in the datafiles\wgn directory. In the combobox, select the point theme containing the stations and use the point selection tool to select the single closest gage to the watershed. To modify the climate of the selected weather generator station, click the Modify Climate button. See Model Execution> SWAT> Climate assessment tool for more information.

Figure 71. SWAT Input Files form with WGN Point Selection tab selected.


Selecting the weather generator file

Climate assessment tool

Figure 72. Climate assessment tool form.

The Climate Assessment Tool gives users the ability to modify certain climate parameters used in the SWAT weather generator. As seen in the figure above, the default values for the selected climate station are displayed on the left and the editable values are displayed on the right. There are several more parameters including dewpoint, solar radiation, and average wind speed that SWAT uses in the weather generator which are not displayed and are not editable.

There are several ways to modify the values in the form. Values for each parameter can be changed cell-by-cell for each month of the year. Alternatively, values for an entire column can be changed uniformly using the Change entire column row. The annual row can also be used to modify the entire column for mean precipitation and number of wet days; the precipitation and number of wet days will be distributed according to their initial values.

At the bottom, enter a name for WGN theme that will point to the modified station you are creating. Below this, enter a name for the new station file that will contain the modified climate parameters. The new WGN theme should be used and the new station selected in the SWAT Input Files form when altered climate scenario is desired.


Optional Input Parameters

Advanced Inputs

Three options are provided on the Advanced Inputs tab in the SWAT Input Files form (Figure 73): monthly subbasin adjustment factors, groundwater input file, and Nitrogen/Phosphorus simulation. Any or all of the options can be utilized in a simulation. If you do not wish to use one of the options, simply leave the default values provided by AGWA

Figure 73. SWAT Input Files with the Advanced Input Parameters tab selected.

For more information, see the following topics:

  • Subbasin Adjustment Factors
  • Groundwater Input File
  • Nitrogen and Phosphorous Modeling


Rainfall Adjustment Factors

Subbasin Adjustment Factors

Monthly subbasin adjustment factors include rainfall, temperature, radiation and humidity. These factors modify the daily estimates for a given month. The values are given in percent, °C, MJ/m²-day, and a []/[] (dimensionless fraction) for their respective tabs rainfall, temperature, radiation and humidity on the Subbasin Adjustment Factors panel. For example, if the rainfall adjustment factor for July is set to 12, the daily estimates for July are adjusted to 112% of the original values. The factors are the same for all subwatersheds.


Groundwater Input File

This option allows users to specify parameters for the groundwater files in SWAT on the Groundwater Input group box. SWAT simulates groundwater movement with two aquifer systems: a shallow, unconfined aquifer that contributes to the streams within the subwatershed and a deep, unconfined aquifer that contributes to streams outside the subwatershed. The specified values are used for all subwatersheds.


Nitrogen and Phosphorous Modeling

This provides basic water quality modeling through SWAT. This process can be undertaken with no additional information; however, the CROP values for each subwatershed can be modified to reflect different management or land cover types.

To modify the CROP values, double-click the row for the subwatershed on the Nitrogen and Phosphorus Simulation panel. Select a new CROP type in the Crop Selection form that appears, and click OK. The list will be modified to reflect the new CROP number, and will be used when parameterizing the current SWAT simulation. The CROP values in the watershed are not affected. Check the Simulate N/P? box to simulate Nitrogen and Phosphorous.


SWAT model execution steps

Figure 74. SWAT Input Files form.

  1. Select the appropriate version of SWAT from the Simulation Options menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar. AGWA2 supports SWAT2000 and SWAT2005.
  2. Select Write Input Files.
  3. From the SWAT Input Files form, Basic Inputs tab, select a discretization from the watershed combobox.
  4. On the Climate Inputs tab:
    1. Select a Weather Generator station.
      1. Select a WGN point theme from the WGN theme combobox and use the selection tool to select the desired station. The Selected Station textbox will be populated with the name of the station.
      2. OPTIONAL: Modify the climate for the selected station by clicking on the Modify Climate button.
    2. Select Use observed precipitation or Generate precipitation from WGN station from the Precipitation panel.
      1. If observed precipitation data is used, precipitation files in the combobox are loaded from the <workspace>\<geodatabase name>\<discretization name>\precip folder. Select a precipitation file from the combobox.
    3. Select Use observed temperature or Generate temperature from WGN station from the Temperature panel.
      1. If observed temperature data is used, you must locate the temperature file ending in .TMP that you want to use before proceeding with model execution.
  5. On the Simulation Inputs tab:
    1. Alter the Simulation Time Period if desired.
      1. If observed precipitation data is used, the start date is automatically set to the earliest start date possible and the number of years to simulate is set to the largest time period possible
      2. If precipitation data will be generated, the start date is defaulted to 01/01/1990 and the number of years to simulate is set to 10.
    2. Select the Output Frequency: daily, monthly, or yearly.
    3. Enter a name for the simulation. There cannot be simulations with identical names for the same discretization.

      Figure 75. Simulations tab from the SWAT Input Files form.
  6. OPTIONAL: Adjust subbasin adjustment factors, groundwater inputs, or N/P simulation if desired, on the optional Advanced Inputs tab.
  7. Click the Write button to write model input files, and execute the model.

SWAT Model Execution notes

  • Simulation inputs and outputs will be written to the folder <workspace>\<geodatabase name>\<discretization name>\simulations\<simulation name>.


Results

Simulation results must be imported following the successful execution of SWAT or KINEROS. Due to the nature of the various batch processing methods, automatic import is no longer feasible. By separating this functionality from the model simulation, simulation results can now be re-imported if accidentally removed from the project or otherwise corrupted.

For more information, see the following topics:

  • View Results
  • Differencing
  • Results Steps


View Results

Figure 76. View Results on the AGWA2 Tools menu.

To view results, go to AGWA2 Tools>View Results>View KINEROS Results/View SWAT Results (Figure 76).

Select a watershed from the Watershed combobox in the Results Selection panel. Any previously imported simulations will be added to the Simulation combobox. If the combobox is empty or the simulation to be viewed is not listed, click the Import button. Simulations can be imported at any time and can be reimported if deleted from the project. Select one or more simulations from the provided list to import. Once all of the files are imported, the simulation is added to the simulations combobox. Select a simulation.

Several options are available for viewing the results. All simulations can be viewed with the standard outputs on the Results Selection panel. Select an output type and click Update to view the simulation totals.

The following outputs are available for viewing:

KINEROS Plane Outputs

  • Infilt_m: infiltration (mm)
  • Infilt_e: infiltration (in)
  • Runoff_mm: runoff (mm)
  • Runoff_m3: runoff (m3)
  • Sed_out: sediment yield (kg/ha)
  • Pflow_m3s: peakflow (m3/s)
  • Pflow_mmh: peakflow (mm/hr)
  • PSedQ_kgs: peak sediment discharge (kg/s)
  • Percent Error: mass balance error (%)

KINEROS Stream Outputs

  • Infilt_m: infiltration (m3/km)
  • Infilt_e: infiltration (ac-ft/mi)
  • Runoff_mm: runoff (mm)
  • Runoff_m3: runoff (m3)
  • Sed_out: sediment yield (kg)
  • Pflow_m3s: peakflow (m3/s)
  • Pflow_mmh: peakflow (mm/hr)
  • PSedQ_kgs: peak sediment discharge (kg/s)
  • Z_change: channel scour (mm/m2)
  • Percent Error: mass balance error (%)

SWAT Subwatershed outputs

  • Precip_mm: total precipitation for the subwatershed for the given time period (mm)
  • ET_mm: estimated evapotranspiration (mm)
  • Perc_mm: estimated percolation for the subwatershed (mm)
  • Surq_mm: estimated surface runoff for the subwatershed (mm)
  • Tloss_mm: estimated transmission loss for the subwatershed (mm)
  • Watyld_mm: estimated water yield (mm)
  • SedYld_t_h: estimated sediment yield (t/ha)
  • OrgN_kg/ha: Organic Nitrogen contributed by the subwatershed to the channel (kg/ha)
  • OrgP_kg/ha: Organic Phosphorus contributed by the subwatershed to the channel (kg/ha)
  • SedP_kg/ha: Mineral Phosphorus attached to sediment contributed by the subwatershed to the channel (kg/ha)
  • SurN_kg/ha: NO3 contributed by surface runoff from the subwatershed to the channel (kg/ha)
  • SolP_kg/ha: Soluble Phosphorus contributed by surface runoff from the subwatershed to the channel (kg/ha)

SWAT Stream Outputs

  • Watyld_mm: estimated water yield (mm)
  • Tloss_m3s: estimated transmission loss (m3/s)
  • SedYld_mtn: sediment yield (tons)
  • Q_cmd: channel runoff (m3/day)
  • SedCon_mg/kg: Sediment concentration (mg/kg)
  • OrgN_kg: Organic Nitrogen transported by water from the channel (kg)
  • OrgP_kg: Organic Phosphorus transported by water from the channel (kg)
  • NO3_kg: Nitrate transported by water from the channel (kg)
  • NH4_kg: Ammonium transported by water from the channel (kg)
  • NO2_kg: Nitrite transported by water from the channel (kg)
  • MinP_kg: Mineral Phosphorus transported by water from the channel (kg)


Differencing

This option generates new results tables containing the difference in output values between two simulations for a watershed. This can be used to analyze the impacts of different land cover types or events sizes. The difference can be expressed as absolute change or as percent change.

Click the Difference tab on the AGWA2 Results form after selecting a watershed. Select two input simulations. Select the type of output to calculate: percent change or absolute change. The equation used to determine the new outputs is displayed in the Equation box. Enter a name for the new tables in the New Name box. If satisfied, click Create to create the new tables. AGWA2 will return to the Results window with the new simulations results added to the Simulations combobox. Click Update, and the results can then be displayed using the standard AGWA2 functionality.

Due to variations in SWAT outputs for different types of simulations, the differenced results contain only the estimates for outputs common to both simulations. For example, SIMA was performed with the Nitrogen and Phosphorus Simulation option but SIMB was not. The results specific to Nitrogen and Phosphorous modeling will not be included in the calculated differences. This also affects HRU outputs.


Results steps

Figure 77. AGWA2 Results form.

  1. Select the SWAT or KINEROS command from the View Results menu item on the AGWA2 Tools menu located on the AGWA2 Toolbar.
  2. Select a discretization from the Watershed combobox on the Results Selectio panel.
  3. Select a Simulation.
    1. Click the Import button to import results not displayed in the Simulation combobox. A messagebox will appear for each simulation not already imported asking if you would like to import it.
    2. Select a simulation from the Simulation combobox.
    3. OPTIONAL - View the Difference between two simulations.
      1. Select a simulation from the Simulation 1 combobox.
      2. Select a different simulation from the Simulation 2 combobox.
      3. Select the Percent Change or Absolute Change radio button.
      4. Enter a name for the difference result. It is automatically added to the Simulation combobox in step 3a.
  4. Select the output from the Output combobox.
  5. Click the Update button.

Figure 78. Example watershed with the KINEROS output Runoff_mm displayed.

Results Notes

  • Results tables are not currently added to the ArcMap document but left in the <workspace>\<geodatabase name folder>\<discretization name>\simulations\<simulation name> folder.
  • Results tables are automatically joined to the attribute tables of the selected discretization upon updating of the output.


Other Options

The Other Options menu item for AGWA2 includes AGWA2 preferences, the Raster Legend Tool, and the Landcover Modification Tool. The AGWA2 preferences allow the HOME and TEMP folders to be set. These must be set for AGWA2 to run propertly. The Raster Legend Tool gives the user the option to classify the colors of a supported Land Cover type using pre-defined legends. The Landcover Modification Tool allows users to modify an existing landcover surface to account for fire, urbanization, climate change or other natural or anthropogenic changes. The tool can be used with the supported AGWA2 datasets (MRLC, NALC, etc.) or with custom-defined landcovers, provided the custom lookup tables conform to the AGWA2 standard.

For more information, see the following topics:

  • Preferences
  • Raster Legend Tool
  • Land Cover Modification Tool


Preferences

Once the map document is opened and saved, the HOME and TEMP folders must be set or AGWA2 will not allow you to proceed. These are map dependent folders, meaning they must be set for each new map document because they are stored in the metadata of the map document.

Figure 79. AGWA2 Toolbar with Preferences menu item selected.

To set the HOME and TEMP folders, open the AGWA2 Preferences form by clicking on Other Options on the AGWA2 Toolbar and going to Preferences (Figure 79). The AGWA2 Preferences form will open (Figure 80). The HOME folder must be the location where the AGWA2 folder was extracted from the AGWA2 files.zip file in the Setup and Installation section above. The TEMP folder does not have a requisite location but should be placed somewhere convenient to facilitate examination of intermediate inputs/outputs and cleaning of old temporary files.

Figure 80. AGWA2 Preferences form.


Raster Legend Tool

The Raster Legend Tool gives the user the option to classify the colors of a supported Land Cover type using pre-defined legends. The pre-defined legends that AGWA2 supports include the MRLC and NALC land cover classifications.

Figure 81. AGWA2 Raster Legends form.

To use the Raster Legends tool, select a supported land cover raster from the raster combobox, then select the type of land cover. Click the Update button to apply the selected legend type to the selected land cover grid.


Land Cover Modification Tool

The Land Cover Modification Tool (LCMT) allows users to modify a land cover map and run AGWA2 to determine the hydrologic effects of the land cover change. Land cover modifications can account for fire, urbanization, climate change or other natural or anthropogenic changes. The tool can be used with the supported AGWA2 datasets (MRLC, NALC, etc.) or with custom-defined land covers, provided the custom lookup tables conform to the AGWA2 standard.

Figure 82. AGWA2 Toolbar with Land Cover Modification Tool menu item selected.

The LCMT is accessed by clicking on Other Options on the AGWA2 Toolbar (Figure 82). See Figure 83 for the LCMT-AGWA workflow.

Figure 83. Land Cover Modification Tool workflow within AGWA2.

Any land cover supported by AGWA2 can be modified with the tool, including custom land covers. The classification choices for the modified surface are limited to those classifications found in the selected land cover lookup table; users can modify these tables or create new tables to include different classes and parameter values.

The Land Cover Modification Tool form (Figure 89) offers four modification options. The first four options allow the user to modify the land cover within an interactively drawn polygon, or within an existing polygon map. The fifth option requires a burn severity map.

  • Single Change: Change all of the land cover in an area to a new land cover type
  • Single Change: Change one land cover type in an area to a new land cover type
  • Random Distribution: Change all of the land cover in an area to 2-3 new land cover types in a spatially distributed random pattern
  • Random Distribution: Change all of the land cover in an area to 2-3 new land cover types in a patchy fractal distribution pattern

For detailed information, see the following:

  • Input Land Cover
  • Output Land Cover
  • Polygon Definition
  • Modification Scenario - Single Change
  • Modification Scenario - Random Distributions
  • Land Cover Modification Tool steps


Input Land Cover

Select a land cover grid to modify in the Land cover grid combobox on the Input Land Cover tab (Figure 84). Select the associated look-up table from the Look-up table combobox (the lookup table for this classification should be loaded in the project before running the tool).

Figure 84. LCMT Step 1 - Input Land Cover.


Output Land Cover

Select the Output folder and name the new land cover that will be created (Figure 85). The Output folder is also the location where shapefiles are stored.

Figure 85. LCMT Step 2 - Output Land Cover


Polygon Definition

For the Single Change and Random Distribution modification scenarios the user must select an existing polygon map, or interactively draw a polygon to define the area of land cover change.

To use an existing polygon map, select the No button next to the word Create? Then select the map from the combobox, and select it with the polygon select tool.

To draw a new polygon around the area for land cover modification, select the Yes button. Enter a name for the new polygon, and the interactive draw polygon tool will become enabled. Select this tool and then begin drawing a polygon around the area you wish to analyze (Figure 86). Double-click to finish the polygon. Once the draw polygon tool changes to the select polygon tool, use it to manually select the polygon you have drawn. Click Process to create the new land cover map.

Figure 86. LCMT Step 3 - Polygon Definition.


Modification Scenario - Single Change

This modification scenario includes two options: Change entire polygon, and Change one land cover to another (Figure 87). The Change entire polygon scenario requires the user to select the land cover type to change to. The Change one land cover to another scenario requires the user to select the land cover type to change from and the land cover type to change to using the comboboxes.

Figure 87. LCMT Step 4 - Single Change Modification Scenario


Modification Scenario - Random Distributions

This option provides two types of random distributions: completely spatially random surfaces and multifractal randomly distributed patchy surfaces. The multifractal surface is generated with the Land Cover Modification Fractal executable (LCMF) that is located in the models directory. See Appendix B: Land Cover Modification Fractal Component for a description of the LCMF model.

1. Change all of the land cover in an area to 2-3 new land cover types in a spatially distributed random pattern

On the Random Distributions tab (Figure 88), select two or three new land cover types and enter a percentage for each. The combination of these values must sum to 100. On the Type of Distribution panel, select Spatially random surface. Random pattern refers to the completely spatially random surface. This option does not require any additional inputs.

Figure 88. LCMT Step 4 - Random Distribution Modification Scenario.

2. Change all of the land cover in an area to 2-3 new land cover types in a patchy fractal distribution pattern

On the Random Distributions tab (Figure 88), select two or three new land cover types and enter a percentage for each. The combination of these values must sum to 100. On the Type of Distribution panel, select Patchy fractal surface. Select an H value using the slider. This value indicates the size of the patches in the final surface, where patch size increases as H increases. Enter any integer value to act as the random seed.


Land Cover Modification Tool steps

Figure 89. Land Cover Modification Tool form.

  1. On the AGWA2 toolbar go to Other Options, then Land Cover Modification Tool.
  2. On the Input Land Cover tab, select a land cover grid from the land cover combobox.
  3. On the Input Land Cover tab, select the land cover lookup table for the selected land cover grid.
    1. OPTIONAL - On the Input Land Cover tab, select the legend for the selected land cover grid.
  4. On the Output Land Cover tab, click the folder browser button to select an output location for the new land cover grid to be saved.
  5. On the Output Land Cover tab, enter a name for the new land cover grid in the land cover name textbox.
  6. On the Polygon Definition tab, select the polygon with which to alter the land cover. Two options are available: use an existing polygon, or create a new polygon.
    1. To use an existing polygon: Click the No radio button next to the word Create? Select the polygon from the polygon combobox, then manually select it using the polygon select tool.
    2. To create a new polygon: Click the Yes radio button next to the word Create? Type in a name for the polygon in the text box. Select the polygon draw tool to draw the polygon by hand. Single clicks will draw a vertex, double click ends the polygon. Use the polygon select tool to select the polygon.
  7. Select a land cover Modification Scenario to proceed.
    1. Single Change
      1. Change entire polygon, or
      2. Change one land cover type to another.
        1. Select the original land cover type from the Land Cover From combobox.
        2. Select the land cover type to change to in the Land Cover To combobox.
    2. Random Distributions
      1. Select the new land cover types and corresponding percentages.
      2. Select the type of distribution.
        1. Completely spatially random surface, or
        2. Randomly distributed patchy surface.
          1. Select a H value with the slider or by entering a number in the textbox.
          2. Type an integer in the Random Seed textbox.
  8. Click Process to create the new land cover grid.


Appendix A: Obtaining Spatial Datasets

The AGWA2 tool is designed to be used with geospatially referenced data, which includes most data types supported by ArcGIS. These include: coverages, shapefiles, and grids. Images can be used for reference within a view, but are not used directly by the AGWA2 tool. Specific data requirements for each of the model components are outlined below, and are described in more detail in the sections describing each component.

Watershed Delineation

  • USGS Digital Elevation Model (DEM) - available at multiple sites
    • http://edcwww.cr.usgs.gov/doc/edchome/ndcdb/ndcdb.html
    • http://edcsns17.cr.usgs.gov/EarthExplorer/
    • http://seamless.usgs.gov/ (easiest download site)
    • http://datagateway.nrcs.usda.gov/
  • Point coverage or shapefile of gauging station location(s) (optional)

Land Cover grid

  • North American Land Cover Characterization (NALC)
    • http://eosims.cr.usgs.gov:5725/CAMPAIGN_DOCS/nalc_proj_camp.html
  • Multi-Resolution Land Characteristics (MRLC) Consortium - National Land Cover Data (NLCD)
    • http://www.epa.gov/mrlc/nlcd.html
    • http://seamless.usgs.gov/ (easiest download site)
    • http://datagateway.nrcs.usda.gov/
  • New York - state-specific classification scheme
    • http://eosims.cr.usgs.gov:5725/CAMPAIGN_DOCS/nalc_proj_camp.html
  • User-Defined - this can cover any other classification scheme

Soil Polygon Map

  • State Soil Geographic Database (STATSGO) soils coverage/shapefile
    • http://www.soils.usda.gov/survey/geography/statsgo/ (by state)
    • http://water.usgs.gov/lookup/getspatial?ussoils (by basin)
  • Soil Survey Geographic (SSURGO) Database - higher resolution soils coverage/shapefile.
    • http://www.soils.usda.gov/survey/geography/ssurgo/
    • http://datagateway.nrcs.usda.gov/
  • Food and Agriculture Organization of the United Nations (FAO) Digital Soil Map of the World - Low resolution global soils classification
    • http://www.tucson.ars.ag.gov/agwa/index.php?option=com_docman&task=cat_view&gid=36&Itemid=40
    • http://www.fao.org/icatalog/search/dett.asp?aries_id=103540

KINEROS Precipitation Data (one of the following)

  • Uniform, single gage
    • National Weather Service
      • http://water.weather.gov/
    • Precipitation Frequency Data Server
      • http://hdsc.nws.noaa.gov/hdsc/pfds/
    • NOAA Atlas 2
      • http://www.nws.noaa.gov/oh/hdsc/noaaatlas2.htm
    • TP-40 Precipitation Frequency Grids
      • http://www.tucson.ars.ag.gov/agwa/index.php?option=com_content&task=view&id=23&Itemid=44
    • AGWA design storm database, dsgnstrm.dbf - this is provided with AGWA, and should be located in the datafiles folder
  • Uniform or Distributed Gages
    • National Weather Service
      • http://water.weather.gov/
    • National Climatic Data Center
      • http://www.ncdc.noaa.gov/
    • Western Regional Center
      • http://www.wrcc.dri.edu

SWAT Precipitation Data (one of the following)

  • National Weather Service
    • http://water.weather.gov/
  • National Climatic Data Center
    • http://www.ncdc.noaa.gov/
  • NCDC Climate Data Online
    • http://cdo.ncdc.noaa.gov/CDO/cdo
  • Western Regional Center
    • http://www.wrcc.dri.edu/
  • Daymet
    • http://www.daymet.org/
  • NCDC Climate Data Center
    • http://hurricane.ncdc.noaa.gov/CDO/cdo


Appendix B: Land Cover Modification Fractal Component

The Land Cover Modification Fractal (LCMF) component generates a multifractal surface with multiple land cover types. The result is a surface consisting of spatially randomly distributed patches within any polygon area defined by the user (Figure 90). This option was previously available through the Land Cover Modification Tool as an ArcView algorithm. The conversion to a Fortran 90 executable greatly improves its performance and allows for the generation of larger surfaces. This component was specifically written to be used in AGWA and the Land Cover Modification Tool (Scott, 2005).

Figure 90. The LCMF process. (left) The input mask grid (black = NODATA); (center) the multifractal surface; and (right) the final surface (Scott, 2005).

The multifractal algorithm is based on the two-dimensional midpoint displacement algorithm described by Saupe and Peitgen (1988). The algorithm combines a displacement process with successive random additions, based on average cell values of the surrounding cells and modified by a Gaussian random number. The displacement, in effect, rotates the surface 45° for each processing step. Patchiness is determined by the fractal dimension D, where D = 3 - H. Patch size increases as H approaches 1. Low H values, however, do not produce completely spatially random surfaces - the multifractal surface always displays some clustering tendency. The algorithm is restricted to squares with dimensions based on 2x, where x is the number of recursions in the fractal process.

The LCMF requires four basic inputs to create a surface - a mask of the irregular polygon, the new land cover types (as integer codes), the proportion of each type, and the level of patchiness. The number of recursions is determined by the size of the input mask, which calculates the x value based on the maximum number of rows or columns. The model constructs an array with the calculated dimensions, populates the array with random numbers based on the Bays and Durham generator (Press, 1996) and performs the multifractal displacement. Once the calculations are complete, breakpoints based on the proportions are calculated for the area described by the mask. The array values are replaced by integer values based on the input land cover types using the derived breakpoints. All other areas are set to 9999 (NODATA). The integer array is written to a new ASCII file with the same dimensions as the original input mask. In general, proportions of the final surface are within 1-2% of the specified values.

The executable can be run outside of AGWA2 to generate surfaces with more than three land cover types. The required inputs are listed in the patch.fil file in the following order:

Line 1 mask file name (full pathname)
Line 2 new grid name (no extension or path)
Line 3 working folder (location of the output ASCII)
Line 4 number of vegetation types
Line 5 integer values of vegetation types*
Line 6 integer values of percentages (percentages are the running total)*
Line 7 integer seed value (positive)
Line 8 H value (0.01-0.99)

*Lines 5 and 6 are fixed width inputs where vegetation types are 4 digit integers and percentages are 3 digit integers followed by a blank space. If either value contains fewer digits, those digits should be represented by blank spaces preceding the numerical value.

Example: Create an output grid of 30% vegetation 34 and 70% vegetation 75.
The corresponding input lines would be

[][]34[][][]75
[]30[]100

([] represents one blank space)

If the spacing is incorrect, the vegetation and/or percentage values will be misread by the program, resulting in an incorrect ASCII file.

The mask file should be in ArcGIS ASCII format, with NODATA values set to 9999. If the exported ASCII grid contains negative values, these must be changed before use in the LCMF. The mask file size is limited to 10 MB, approximately 1400 x 1400 cells. This size restriction is based only on the number of cells and not the resolution - the actual map area that can be modified decreases as resolution increases.

To run the executable, open a DOS command line window and navigate to the folder containing the model and the input files. Enter “cmd /c lcmf” and hit Return. The model will generate a new ASCII file, with the new name, in the folder. This file can be imported into the GIS using the appropriate method.


References

Arnold, C.L. and C.J. Gibbons, 1996. Impervious surface coverage: the emergence of a key environmental indicator. J. American Planning Assoc. 62:243-258.

Arnold, J.G., J.R. Williams, R. Srinivasan, K.W. King, and R.H. Griggs, 1994. SWAT-Soil Water Assessment Tool. USDA, Agricultural Research Service, Grassland, Soil and Water Research Laboratory, Temple, Texas.

Aronoff, S., 1985. The minimum accuracy value as an index of classification accuracy. Photogrammetric Engineering & Remote Sensing, 51(1): 99-111.

Band, L.E. and I.D. Moore, 1995. Scale: landscape attributes and geographical information systems, in: scale issues in hydrological modeling (Eds.) Kalma, J. D. and M. Sivapalan, John Wiley & Sons

Band, L.E., 1986. Topographic partition of watersheds with digital elevation models. Water Resources Research, 22(1):15-24.

Band, L.E., D.L. Peterson, R. Nemani, and S.W. Running, 1993. Forest ecosystem processes at the watershed scale: incorporating hillslope hydrology, Ecol. Modell., 63: 93-126.

Band, L.E., D.L. Peterson, S.W. Running, J.C. Coughlan, R.B. Lammers, J. Dungan, and R. Nemani, 1991. Forest ecosystem processes at the watershed scale: basis for distributed simulation, Ecol. Modell., 56: 151-176.

Calore, C., P. La Barbera, and G. Roth, 1997. On the use of informational entropy in GIS. in: Remote Sensing and Geographic Information Systems for Design and Operation of Water Resources Systems, Proceedings of Rabat Symposium, IAHS, Publ. No. 242.

Canfield, H.E., D.C. Goodrich, and I.S. Burns, 2004. Selection of Parameters Values to Model Post-fire Runoff and Sediment Transport at the Watershed Scale in Southwestern Forests. ASCE Conference Proceedings 178 (48).

Charbonneau, R., and G.M. Kondolf, 1993. Land use change in California, USA: nonpoint source water quality impacts. Environ. Man. 17:453- 460.

Chow, V.T., D.R. Maidment, and L.W. Mays, 1988. Applied Hydrology, McGraw Hill, New York , N.Y., p. 147-154.

Clarke, R.T., 1998. Stochastic Processes for Water Scientists: Developments and Applications. John Wiley & Sons, Inc., New York, 183pp.

Congalton, R.G., M. Balogh, C. Bell, K. Green, J.A. Milliken, and R. Ottman, 1998. Mapping and monitoring agricultural crops and other land cover in the Lower Colorado River Basin. Photogrammetric Engineering & Remote Sensing, 64(11): 1107-1113.

Congalton, R.M. and K. Green, 1999. Assessing the accuracy of remotely sensed data: principles and practices. Lewis Publishers, CRC Press, NY.

Congalton, R.M., R.G. Oderwald, and R. Mead, 1983. Assessing Landsat classification accuracy using discrete multivariate statistical techniques. Photogrammetric Engineering & Remote Sensing, 49(12): 1671-1678.

Crawford, N.H., and R.K. Linsley, 1966. Digital simulation on hydrology: Stanford Watershed Model IV. Stanford University Tech. Rep. No. 39. Palo Alto, Cal.: Stanford University.

Driessen, P., J. Deckers, O. Spaargaren, F. Nachtergaele, editors, 2001. Lecture Notes on the Major Soils of the World. FAO, Publishing and Multimedia Service, Information Division, Viale delle Terme di Caracalla, 00100 Rome, Italy. http://www.fao.org/DOCREP/003/Y1899E/ Y1899E00.HTM

Ebert, D.W., and T.G. Wade, 2004. Analytical Tools Interface for Landscape Assessments (ATtiLA), User Manual Version 2004, U.S. EPA Office of Research and Development, National Exposure Research Laboratory, Environmental Division, Landscape Ecology Branch, EPA/600/R-04/083.

Engman, E.T. and R.J. Gurney, 1991. Remote sensing in hydrology. Chapman and Hall, Van Nostrand Reinhold, NY.

Entekhabi, D., H. Nakamura, and E.G. Njoku, 1994. Solving the inverse problem for soil moisture and temperature profiles by sequential assimilation of multifrequency remotely sensed observations. IEEE Trans. Geosci. Remote Sensing, 32: 438-448.

Engel, B., J. Harbor, M. Bland, A. Krause, D. George, 2004. Impacts of Land Use Change on Water Resources, Purdue Research Foundation, West Lafayette, Indiana 47907. http://www.ecn.purdue.edu/runoff/index.html

Famiglietti, J.S. and E.F. Wood, 1991. Evapotranspiration and runoff for large land areas: land surface hydrology for atmospheric general circulation models. Surv. Geophys., 12: 179-204.

Famiglietti, J.S. and E.F. Wood, 1994. Multi-scale modeling of spatially variable water and energy balance processes. Water Resources Research, 30: 3061-3078.

Famiglietti, J.S. and E.F. Wood, 1995. Effects of spatial variability and scale on areal-average evapotranspiration. Water Resources Research, 31: 699-712.

FAO/UNESCO, 2003. Digital Soil Map of the World and Derived Soil Properties, Version 3.6. CD-ROM, Information Division, FAO, Viale delle Terme di Caracalla, 00100 Rome, Italy. http://www.fao.org/ag/agl/agll/dsmw.stm

Franklin, J.F., 1992. Scientific basis for new perspectives in forests and streams. pp. 25-72. IN: R. J. Naiman (ed.) Watershed Management. Springer-Verlag, NY.

Garbrecht, J. and L.W. Martz, 1993. Network and subwatershed parameters extracted form digital elevation models: The Bills Creek Experience, Water Resources Bulletin, American Water Resources Association, 29(6): 909-916.

Garbrecht, J. and L.W. Martz, 1995. TOPAZ: An automated digital landscape analysis tool for topographic evaluation, drainage identification, watershed segmentation and subcatchment parameterization; overview. ARS Pub. No. NAWQL 95-1, USDA-ARS, Durant, OK, 16 pp.

Garbrecht, J., and L.W. Martz, 1996. Digital landscape parameterization for hydrological applications, in HydroGIS 96: Applications of Geographic Information Systems in Hydrology and Water Resources Management, IAHS Publ., 235.

Goodrich, D.C., 1991. Basin scale and runoff model complexity, University of Arizona, Dep. of Hydrology and Water Resources Technical Report No. HWR 91-010,361 p.

Graf, W. L., 1988. Fluvial Processes in dryland rivers, Springer-Verlag Berlin Heidelberg, Germany.

Hernandez, M., W.G. Kepner, D.J. Semmens, D.C. Goodrich, and S.N. Miller, 2003. Integrating a Landscape/Hydrologic Analysis for Watershed Assessment, First Interagency Conference on Research in the Watersheds, Oct 27-30, Benson, AZ, U.S. Department of Agriculture, Agricultural Research Service.

Hord, R.M. and W. Brooner, 1976. Land-use map accuracy criteria. Photogrammetric Engineering & Remote Sensing, 42(5): 671-677.

Hunsaker, C.T., and D.A. Levine, 1995. Hierarchical approaches to the study of water quality in rivers. BioScience 45:193-203.

Hunsaker, C.T., D.A. Levine, S.P. Timmins, B.L. Jackson, and R.V. O'Neill, 1992. Landscape characterization for assessing regional water quality. Pp. 997-1006, in D.H. McKenzie, D.E. Hyatt, and V.J. McDonald (eds.), Ecological indicators. Elsevier Appl. Sci., New York.

Jackson, T.J., R.M. Ragan, and R.P. Shubinski, 1976. Flood frequency studies on ungauged urban watersheds using remotely sensed data. Proc. Natl. Symp. on Urban Hydrology, Hydraulics and Sediment Control, University of Kentucky, Lexington, KY.

Jackson, T.J., R.M. Ragan, and W.N. Fitch, 1977. Test of landsat-based urban hydrologic modeling. ASCE J. Water Resources Planning Management Division, 103, No. WR1 Proc. Paper 12950, pp 141-158.

Jarrell, W. (Discovery Farms Program), and L. Bundy (Department of Soil Science, University of Wisconsin), 2002. http://wpindex.soils.wisc.edu/ hydrologicsoilgroup.html

Jenson, S.K. and J.O. Domingue, 1988. Extracting topographic structure from digital elevation data for geographical information system analysis. Photogrammetric Engineering and Remote Sensing 54(11):1593-1600.

Junk, W. J., P.B. Bailey, and R.E. Sparks, 1989. The flood pulse concept in river-floodplain systems. Can. Spec. Publ. Fish. Aquat. Sci. 106:110- 127.

Karr, J.R. and I.J. Schlosser, 1978. Water resources and the land-water interface. Science 201:229-233.

La Barbera, P. and G. Roth, 1994. Scale properties and scale problems: network morphology and network identification from digital elevation maps. In: Advances in Distributed Hydrology (Ed.) Rosso et al., 131-148, Water Resources Publication, Colorado.

Langbein, W.B. and S.A. Schumm, 1958. Yield of sediment in relation to mean annual precipitation. Trans. Am. Geophys. Union, 39:1076- 1084.

Law, A.M., and Kelton, W.D., 1982, Simulation Modeling and Analysis. McGraw-Hill Inc., 400pp.

Lowrance, R.R., R.L. Todd, J. Fail, O. Hendrickson, R. Leonard, and L.E. Asmussen, 1984. Riparian forests as nutrient filters in agricultural watersheds. Bioscience 34:374-377.

Maidment, D.R., 1993. Handbook of Hydrology. David R. Maidment, ed., McGraw Hill, Inc.

Mark, D., J. Dozier, and J. Frew, 1984. Automated basin delineation from digital elevation data. GeoProcessing, 2:299-311.

Martz, L.W., and J. Garbrecht, 1993. Automated extraction of drainage network and watershed data from digital elevation models. Water Resources Bulletin, American Water Resources Association, 29(6):901-908.

Meentemeyer, V. and E.O. Box, 1987. Scale effects in landscape studies. In: Landscape heterogeneity and disturbance, pp. 15-34. (Ed.) M. G. Turner, Springer-Verlag, NY.

Miller, S.N, 1995. An Analysis of Channel Morphology at Walnut Gulch Linking Field Research with GIS Applications. Masters Thesis, School of Renewable Natural Resources, University of Arizona. Available from UMI Dissertation Services. 169 pp.

Moore, I.D. and R.B. Grayson, 1991. Terrain based prediction of runoff with vector elevation data. Water Resources Research, 27: 1177-1191.

Moore, I.D., A.K. Turner, J.P. Wilson, S.K. Jenson, and L.E. Band, 1993. GIS and land surface-subsurface modeling. In: Geographic Information Systems and Environmental Modeling (Eds.) Goodchild, M. F., P. O. Parks, and L. Y. Stayaert, Oxford University Press, Oxford, pp. 196-230.

Moore, I.D., E.M. O'Loughlin, and G.J. Burch, 1988. A contour-based topographic model for hydrological and ecological applications. Earth Surface Processes Landforms, 13: 305-320.

Nemani, R., L.L. Pierce, S.W. Running, and L.E. Band, 1993. Ecological processes at the watershed scale: sensitivity to remotely sensed leaf area index estimates. Int. J. Remote Sensing, 14: 2519-2534.

Nielsen, D.R. and J. Bouma, 1985. Soil spatial variability. In: Proceedings of a Workshop of the International Soil Science Society and the Soil Science Society of America, Pudoc, Wageningen, 243 pp.

O'Callaghan, J.F. and D.M. Mark, 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics and Image Processing, 28:323-344.

Omernik, J.M. 1987. Ecoregions of the United States: Map at a scale of 1:7,500,000. Suppl. Annals American Assoc. Geogr. 77(1).

Osborn, H.B., L.J. Lane, and V.A. Myers, 1980. Rainfall/watershed relationships for Southwestern thunderstorms; Transactions of the ASAE, v. 23, n. 1, p. 82-91.

Peterjohn, W.T. and D.L. Correll, 1984. Nutrient dynamics in an agricultural watershed: Observations on the role of a riparian forest. Ecology 65:1466-1475.

Press, W.H., 1996. Numerical Recipes in Fortran 90: the art of parallel scientific computing. 2nd Edition. Cambridge University Press, New York.

Ragan, R.M. and T.J. Jackson, 1980. Runoff Synthesis Using Landsat and SCS Model, J. of Hydrology, Divn., ASCE, Vol. 106 (HYS5): 667-678.

Rango, A., A. Feldman, T.S. George, III, and R.M. Ragan, 1983. Effective use of Landsat data in hydrologic models. Water Resources Bulletin, 19, 165-74.

Rawls, W.J., D.L. Brakensiek, and K.E. Saxton, 1982. Estimation of soil water properties. Transactions of the American Society of Agricultural Engineers 25(5):1316-1320.

Renard, K.G., G.R. Foster, G.A. Weesies, D.K. McCool, and D.C. Yoder (Coordinators), 1997. Predicting Soil Erosion by Water: A Guide to Conservation Planning with the Revised Universal Soil Loss Equation (RUSLE). Agricultural Handbook No. 703., U. S. Department of Agriculture, Washington, D.C. 404 p.

Reynolds, C.A., T.J. Jackson, and W.J. Rawls, 1999. Estimated Available Water Content from the FAO Soil Map of the World, Global Soil Profile Databases, and Pedo-transfer Functions. http://www.ngdc.noaa.gov/seg/cdroms/reynolds/reynolds/reynolds.htm

Rosenfield, G.H., K. Fitzpatrick-Lins, and H. Ling, 1982. Sampling for thematic map accuracy testing. Photogrammetric Engineering & Remote Sensing, 48(1):131-137.

Roth, N.E., J.D. Allan, and D.L. Erickson, 1996. Landscape influences on stream biotic integrity assessed at multiple scales. Landscape Ecology 11:141-156.

Saupe, D. and H. Peitgen, eds., 1988. The Science of Fractal Images. Springer, New York.

Scott, S.N., 2005. Implementing best management practices in hydrologic modeling using KINEROS and the Automated Geospatial Watershed Assessment (AGWA) Tool. Masters Thesis, School of Natural Resources, University of Arizona. 204p.

Shannon, C.E., 1948. A mathematical theory of communications. Bell System Technology Journal, 27: 379-423, 623-659.

Singh, V.P., 1995. Watershed modeling, In Computer Models of Watershed Hydrology (V. P. Singh, Ed.). Water Resources Publications, Highlands Ranch, Colorado. p. 1-22.

Soil Conservation Service, 1973. A Method for Estimating Volume and Rate of Runoff in Small Watersheds; SCS-TP-149, U.S. Department of Agriculture, Soil Conservation Service, Washington, DC.

Soil Conservation Service, 1986. Urban hydrology for small watersheds, Technical release No. 55; Soil Conservation Service, U.S. Department of Agriculture, Washington, DC.

Spanner, M.A., L.L. Pierce, D.L. Peterson, and S.W. Running, 1990. Remote sensing of temperate forest leaf area index: influence of canopy closure, understory vegetation and background reflectance. Int. J. Remote Sensing, 11: 96-111.

Spanner, M.A., L. Johnson, J. Miller, R. McCreight, J. Freemantle, J. Runyon, and P. Gong, 1994. Remote sensing of seasonal leaf area index across the Oregon transect. Ecol. Appl., 4: 258-271.

Sparks, R.E., 1995. Need for ecosystem management of large rivers and their floodplains. BioScience 45:168-182.

Star, J.L., J.E. Estes, and K.C. McGwire, 1997. Integration of Geographic Information Systems and Remote Sensing, Cambridge University Press, Cambridge, UK.

Sweet, W.V. and J.W. Geratz, 2003. Bankfull Hydraulic Geometry Relationships and Recurrence Intervals for North Carolina's Coastal Plain. Journal of the American Water Resources Association 39(4): 861-871.

Syed, K.H., 1999. The impacts of digital elevation model data type and resolution on hydrologic modeling. Doctoral Dissertation, Department of Hydrology and Water Resources, University of Arizona, 269pp.

U.S. Department of Agriculture, Soil Conservation Service, 1972. National Engineering Handbook, Section 4, Hydrology US Government Printing Office, Washington, D.C.

U.S. Department of Agriculture, Natural Resources Conservation Service, 1994. State Soil Geographic (STATSGO) Data Base: Data Use Information, National Cartography and GIS Center, Fort Worth, Texas.

U.S. Department of Agriculture, Natural Resources Conservation Service, 1995. Soil Survey Geographic (SSURGO) Data Base: Data Use Information, National Cartography and GIS Center, Fort Worth, Texas.

U.S. Army Corps of Engineers, 1976. Urban storm water runoff, STORM. Computer program 723-L2520, Hydrologic Engineering Center, Davis, CA.

van Genderen, J.L. and B.F. Lock, 1977. Testing land use map accuracy. Photogrammetric Engineering & Remote Sensing, 43(9): 1135-1137.

Weller, M.C., M.C. Watzin, and D. Wang, 1996. Role of wetlands in reducing phosphorus loading to surface water in eight watersheds in the Lake Champlain Basin. Environ. Man. 20:731-739.

Wigmosta, M.S., L.W. Vail, and D.P. Lettenmier, 1994. A distributed hydrology-vegetation model for complex terrain. Water Resources Research, 30:1665-1680.

Williams, J.R., 1969. Flood routing with variable travel time or variable storage coefficients. Trans. ASAE 12(1):100-103.

Wischmeier, W.H., and D.D. Smith, 1978. Predicting rainfall erosion loss: A guide to conservation planning. Agricultural handbook 537. U. S. Department of Agriculture, Washington, D.C.

Wood, E.F., 1994. Scaling, soil moisture and evapotranspiration in runoff models. Advances Water Resources, 17: 25-34.

Wood, E.F., M. Sivapalan, K. Beven, and L. Band, 1988. Effects of spatial variability and scale with implications to hydrologic modeling. Journal of Hydrology, 102: 29-47.

Woolhiser, D.A., R.E. Smith, D.C. Goodrich, 1990. KINEROS, a kinematic runoff and erosion model: Documentation and user manual. U.S. Department of Agriculture, Agricultural Research Service, ARS-77, 130p. SWRC Reference No.: 703.